EARLY CHILDHOOD CLUSTER - LAST CHANCE REMINDER

by Lorie Coonts -

TRAINING DATE: Monday, February 26, 2024
TRAINING TIME: 5:00 PM - 8:00 PM 

PRESENTER: Darlene Blackford 

LOCATION: East Central BOCES West Training Room 

DESCRIPTION: THIS TRANING IS ONLY OFFERED IN PERSON! Sharing ideas and strategies that encourage teachers to teach science in a hands-on experimental way. 

A light meal will be provided for those attending, please register so that we know how much food and materials to prepare for. A /stipend will be paid to those attending and will be paid in May.

Virtual Professional Learning to earn PD contact hours related to English Learners/Multilingual Learners

by Mitzi Swiatkowski -

Take advantage of practical and engaging professional learning

In case you missed it, you have access to nine free self-paced workshops! Grab your laptop, gather your colleagues who support multilingual learners and dive into practical and engaging learning opportunities. The following self-paced workshops are available through August 31, 2024.

Developing Language for Learning in Mathematics

Engaging Multilingual Learners in Science: Making Sense of Phenomena

Exploring the WIDA PreK-3 Essential Actions

Home Languages in the Classroom

Making Languages Visible in the Classroom

Newcomers: Promoting Success through Strengthening Practice

Reframing Education for Long-term English Learners

Social Studies: Engaging Multilingual Learners through Inquiry

WIDA ELD Standards Framework: A Collaborative Approach

Learn more on the WIDA eLearning webpage where you can find course descriptions, a promotional flyer and PowerPoint slide to help spread the word to colleagues, and more.

Ready to get started?

Log in to your WIDA Secure Portal account. Don’t have an account yet? Visit your member/state page to learn how.

Locate the course and click on Course Details. Click Enroll Now.

Complete a self-paced workshop and print your certificate.

Questions? Contact the WIDA Client Services Center at (866) 276-7735 or help@wida.us.

With gratitude,

Your friends at WIDA

The person in your district who manages WIDA access (for the Screener and ACCESS) should be able to create an account so you can access these courses.


Additional MindSpark AI Training Scheduled - a must for all!!

by Emma Richardson -

In response to the success of the first AI training, we have decided to offer a second offering and also a Deeper Dive in AI with PBL training.  These trainings are open to all East Central BOCES Member Districts.

The second session of the Responsible AI Training will be offered on March 28th.  It will be held at the ECBOCES West Training Room - in person attendance is highly recommended but Zoom will be an option for those that cannot travel.  Registration is limited so be sure to sign up soon.  There will be some great prizes and giveaways during the training and lunch will be provided.  CLICK HERE TO REGISTER

On April 3rd, MindSpark will be hosting a Deeper Dive into AI with PBL.  To attend this session, you must attend one of the Responsible AI Trainings.  This will be also be held at ECBOCES West Training Room and in person attendance is highly recommended for this training as well.   Registration will also be limited for this one so be sure to sign up soon.  This training will also cover some PBL practices and how AI can help you get going with PBL. There will giveways and prizes for this training and lunch will be served. CLICK HERE TO REGISTER

NCSC Civics Education Essay Contest- Grades 3-12!

by Megan Eikleberry -

NCSC Civics Education Essay contest is now open

The NCSC annual Civics Education Essay contest is now open. All elementary, middle, and high school students in grades 3-12 are encouraged to participate.

 

Prize money will be awarded to the top three winners from elementary, middle, and high schools. Essays will be accepted online through midnight ET, Friday, March 22, 2024. Winners will be announced on May 1.

 

Students can enter through the essay contest portal found on our civics education page https://news.ncsc.org/c/AQjLzRUQw9AcGOOG74wBIL37sAcXxYjCb4DQ2agDRzNoEuw-WnmG-lUaoTz2K3jeUyGhYg

You’ll also find materials that can be used to promote the contest in your courts and communities.

 

Please contact Molly Justice for additional information: mjustice@ncsc.org


Spring -Summer 2024 Professional Learning Opportunities at DMNS

by Megan Eikleberry -

Denver Museum of Nature and Science is excited to share some of their Spring and Summer Professional Learning Workshops and Courses for K-12 teachers.  ( Some are science oriented and some are STEM specific)

We realize it can be a drive and sacrifice to come to Denver, so we can provide ECBOCES teachers with scholarships and mileage reimbursement for coming to Denver if they are coming 100 miles or more in distance. Email us at teacherprograms@dmns.org to learn more about our Rural Teacher Scholarship, our BIPOC Educator Scholarship or mileage reimbursement.

0?ui=2&ik=2777627bb8&attid=0.0.1&permmsgid=msg-f:1791010228913451169&th=18daf250637a30a1&view=fimg&fur=ip&sz=s0-l75-ft&attbid=ANGjdJ83zdd0RfrGgLECzRoEDKeEvHy8A3SrT-YHjitK6CbCitPZasscQmHwSn-5mtPtO8dhhGL53JXL8pYTSUb9HyUISd12R8hIiw5FFn16fjNoGbbXE_so5DVmayc&disp=emb0?ui=2&ik=2777627bb8&attid=0.0.2&permmsgid=msg-f:1791010228913451169&th=18daf250637a30a1&view=fimg&fur=ip&sz=s0-l75-ft&attbid=ANGjdJ-v8XMSMb8Lo0_OYAPiOCOx0dKYsdxXwxMhK4iHX-nbvat3mLMTlSMSoIhEPftQvgbMP3lH-R8ZhTZFFLVyeyNb5NECr7r4rfIQxhbDZKbxnXeG-4pNpmZ4o5A&disp=emb0?ui=2&ik=2777627bb8&attid=0.0.3&permmsgid=msg-f:1791010228913451169&th=18daf250637a30a1&view=fimg&fur=ip&sz=s0-l75-ft&attbid=ANGjdJ9cQo5nvh81PHrIChrR3gn1756ZD-Y_TV_SwatazGq9wZPePmw6wYgwzW9UAezM-0BS2C-HwJ3j1AvgcvYAmUtdAEFO-Pxv01rNbNrszv5ADg6DYjRUnNK45AU&disp=emb

Tim Blesse

Teacher Programs Consultant

Denver Museum of Nature and Science

2001 Colorado Boulevard, Denver CO 80205

teacherprograms@dmns.org

(W) 303.370.8298 (C) 303.949.8683


CLDE Newcomer Virtual Session with CDE

by Megan Eikleberry -

Up-Coming CDE Sessions - *Sessions that offer credit towards the 45 Hrs. CLDE Licensure. 

**Certificates will come from CDE. 

__________________________________________

*Session #4:  From the Border to the Classroom: Experiences of Unaccompanied Children with Natasha Quiroga

  • Date: Tuesday, February 27, 2024
  • Time: 4:30 pm – 6:00 pm
  • Audience: Educators, Educational Leaders, Community Leaders, and anyone supporting Newcomers
  • Zoom - REGISTRATION LINK HERE

 

Key Take Aways:

Gain an understanding of the immigration process for children entering the U.S. legal system, detention facilities and the educational services provided, landmark cases of child protection, and more.

 

___________________________________________

 

*Session #5: Virtual - Part 2: Teacher & School Staff Virtual- Session on Trauma-Informed Practices facilitated by Elise White Diaz, sponsored by CDE:

  • Date: Monday, March 4, 2024
  • Time: 4:00 pm – 5:30 pm
  • Audience: Educators, Educational Leaders, Community Leaders, and anyone supporting Newcomers
  • Zoom - REGISTRATION LINK HERE

 

Agenda:

  • Elise, an Educational Consultant at Seidlitz Education, specializing in trauma-informed education, seamlessly integrates culturally-informed pedagogy and language acquisition, consistently yielding notable improvements in state assessment scores. With a leadership background, Elise travels nationally, engaging in conferences and advocacy efforts with organizations such as NAELPA and Women-for-Orphans-Worldwide.
  • Join this interactive training to explore Trauma-Informed Multilingual Education (TIME), addressing the needs of diverse students with childhood trauma. Uncover strategies for navigating language and cultural barriers. Your participation is a commitment to positive change and shaping the future of education in Colorado. Don't miss out!

 

­­­­­­­­­­­­­­­­­­­­­­­____________________________________________

*Session #6: The Long Road Ahead: The Path to the U.S. and the Legal Journey of Immigrant Students

Natasha Quiroga, Esq

 

Key Take Aways:

The content in the session will cover understanding student’s backgrounds, educational experiences in their home countries, the immigration court system, the types of immigration relief for children, the challenges navigating the legal journey, and available resources to support students and families during the immigration process. 

 

  • Date: Tuesday, March 26, 2024
  • Time: 4:30 pm – 6:00 pm
  • Audience: Educators, Educational Leaders, Community Leaders, and anyone supporting Newcomers
  • Zoom - REGISTRATION LINK HERE

 

____________________________________________

*Session #7: Supporting our Immigrant and Refugee Children Through the Power of Reading

 

Key Take Aways:

The Newcomer Cohort is pleased to partner with Scholastic to offer a virtual session with author Dr. Don Vu on how to support our immigrant and refugee students through the power of reading. As a former refugee, teacher, and principal Don’s literacy commitment for all students is powerful. This engaging session will spark conversations and inspire educators to explore diversity and build a culture of literacy in classrooms and schools. Dr. Vu’s session is open to educators at all levels. This is a great opportunity for teachers to reflect on the literacy culture of their classrooms and for CLDE departments to collaborate with colleagues in your Literacy office to transform reading opportunities for all students.

 

  • Date: Tuesday, April 30, 2024
  • Time: 4:30-6:00 pm
  • Audience: Educators, Educational Leaders, and anyone supporting Newcomers
  • ZOOM - REGISTRATION LINK HERE

Upcoming Early Childhood Cluster

by Lorie Coonts -

Reminder of the Upcoming Early Childhood Cluster on Monday, February 26th.  

Get registered ASAP!  

TRAINING DATE: February 26, 2024
TRAINING TIME: 5:00 PM - 8:00 PM
DATE: Monday, February 26, 2024 PRESENTER: Darlene Blackford LOCATION: East Central BOCES West Training Room 

DESCRIPTION: THIS TRANING IS ONLY OFFERED IN PERSON! Sharing ideas and strategies that encourage teachers to teach science in a hands-on experimental way. A light meal will be provided for those attending, please register so that we know how much food and materials to prepare for. A /stipend will be paid to those attending and will be paid in May.


Registrations needed for PBL Training!

by Emma Richardson -

At the end of the month, we are offering a great Problem Based Learning Training by MindSpark.  We currently only have four people signed up for this.  If we do not get more registrations by the end of next week, we will be rescheduling this training for the summer.  Please see the flyer below for more information.  

CLICK HERE TO REGISTER


DBQ (Document Based Questions) February Resources

by Megan Eikleberry -

If you teacher Social Studies or ELA 5th-12th grades and do not have access to the DBQ portal, please reach out to Megan Eikleberry, megane@ecboces.org, to get access! 


thumb-2aa343959af3f03e9d8cfec9cb118450.jpeg
 

DBQ Online Support Series Online Support Series - February 2024

Welcome, February!

This edition of DBQ Online Support Series includes:

  • Video: Top 10 Ways to Use the Teacher Markup Tool
  • Spotlight Video: What Are Teachers Saying About DBQ Online?
  • February Unit Spotlights: Celebrating Black History Month -- share with your teachers!

Top10WaystoUsetheTeacherMarkupToolVideo

Take 7 minutes and discover the power of the Teacher Markup tool! 

Your students will thank you!

Click to play: Top 10 Annotation Tools + 2 New Features

DBQSpotlight:WhatTeachersAreSayingAboutDBQOnline
Check out what Joseph Niedziela (Director of Humanities, Fort Worth ISD, TX), Laura Moreau (K-12 Social Studies Specialist, Lafayette Parish Schools, LA), and Laura Webb (Literacy Specialist for Social StudiesDanville Public Schools, VA) have to say about DBQ Online. Thank you for your kind words, we think it's pretty great, too! 😉
Click to play: What Teachers Are Saying About DBQ Online - Part 2

FebruaryUnitSpotlights:CelebratingBlackHistoryMonth
How Did Abolitionists Make the Case Against Slavery?
Slavery was part of American life for more than two hundred years. Ridding the country of slavery was a hard-fought battle. This Mini-Q asks you to examine the ways that abolitionists, the people who worked to end slavery, tried to convince others that slavery must be stopped. 

Binders: Mini-Qs in Literature - Volume 2 & Mini-Qs in Literature - Volume 3

Martin Luther King and Malcolm X: Which Strategies Made the Most Sense for America in the 1960s?
The Civil Rights Movement of the 1950s and 1960s resulted in America’s biggest social revolution since the Civil War. The movement was grassroots and reached across the entire country. Two remarkable men, both quite young, and not always in agreement, became the clearest voices in the movement. These two men were Martin Luther King, Jr. and Malcolm X. In this Mini-Q you will consider the thoughts of both individuals. The documents are short but the ideas are large.

Binders: Mini-Qs in Georgia History & Document Based Questions in American History

Harlem Renaissance Poetry: Does High Art or Folk Art Best Express Racial Pride?
Between World War I and the Great Depression, Harlem became a hotspot for African- American artists of all kinds—painters, dancers, musicians, playwrights, and poets. During this time, now known as the Harlem Renaissance, a debate sprang up between two camps as to how to best express racial pride. This Mini-Q asks you to read poetry from this period and join the debate.

Binder: Mini-Qs in Literature - Volume 1

Class, Gender, and Race in To Kill a Mockingbird: Is Mayella Powerful?

Harper Lee’s classic novel, To Kill a Mockingbird, is both a heartwarming and heartbreaking story. Included in this story is the tale of Mayella Ewell, a poor, white woman living in a racist Southern community in the 1930s. Your task is to read through the documents in this Mini-Q and assess Mayella’s power.

Binder: Mini-Qs in Literature - Volume 1

What Was Harriet Tubman’s Greatest Achievement?

Harriet Tubman is a true American hero. In this Mini-Q, you will learn about three of her achievements: helping enslaved people escape to the North, leading a Civil War river raid, and caring for those in need. Then you will decide which of these achievements was the greatest.

Binders: Elementary Mini-Qs - Volume 2 & Original US Volume 1 Mini-Qs: Units 1-12

What Were the Underlying Causes of the Tulsa Race Massacre?

On June 1, 1921, a mob of white Tulsans looted and burned the Greenwood District of Tulsa, Oklahoma. Many people died, but the majority—more than 300—were African American. At the time and for decades afterward, the events of that terrible night were referred to as the Tulsa Race Riot. In fact, what happened was not a riot but an organized attack on an established African American community. 

This Mini-Q explores the underlying causes of the massacre.

Binder: New US Volume 2 Mini-Qs: Units 13-27

DBQProjectWorkshops&Events
thumb-b762b23a8f8cf4872a9add8ce644ca43.jpeg

Upcoming Workshops:

FREE DBQ 101 Asynchronous Courses
The DBQ Project
"Helping ALL students to read smart, think straight and write clearly"

Email: info@dbqproject.com
Website: www.dbqproject.com
Location: 1234 Sherman Avenue, Evanston, IL, USA
Phone: 847-475-4007
Facebook: facebook.com/dbqproject
X (Twitter): @dbqproject


Scaling Up for STEM!

by Megan Eikleberry -

ATTENTION MS and HS Science and CTE Teachers!!

The Scaling Up for STEM Initiative provides middle school (grades 6-8) and high school (grades 9-12) teachers with a yearlong immersive professional learning experience designed to enhance teacher confidence and classroom excellence in science, technology, and engineering; and increase STEM career exposure while boosting teacher understanding about the skills needed for a scientifically literate workforce. The program provides a tailored approach to support teachers’ efforts to create an equitable learning environment that increases student interest, participation, and academic success in STEM education.

https://www.nsta.org/scaling-up-stem 

Scaling Up For STEM Teacher Fellows will receive:

Registration for pre-conference and conference at the 2024 NSTA National Conference in Denver, March 20-23

1 night hotel stay and 4 days of parking during the 2024 NSTA National Conference in Denver, March 20-23

One year of Digital Professional Membership in NSTA and enrollment in an NSTA Digital Learning Cohort

4 NSTA e-books

Coaching from a dedicated NSTA staff member

See the link below for the conference schedule and details about the online learning component:

Schedule

For more information contact
 Rob Wallace rwallace@nsta.org or Megan Eikleberry megane@ecboces.org

                  

Problem Based Learning Workshop

by Emma Richardson -

East Central BOCES is happy to offer a two day Problem Based Learning Workshop with MindSpark Learning on Feb 29th and March 1st.   This two day workshop will introduce participants to Problem Based Learning. This is a powerful workshop offered in response to the many requests we have had. We will offer stipends for any non-contract days that teachers give up to attend plus there will be some great giveaways during the training as well. More details to follow. Use the link below to register before it fills up!  This training is available for all East Central BOCES districts.

CLICK HERE TO REGISTER

3- Minute Survey to Provide Feedback for Professional Development Next School Year

by Megan Eikleberry -

Please take a moment to participate in this brief survey focused on professional development. Your input will assist the PD Needs Assessment Committee in gathering feedback on potential professional development topics for the upcoming 2024-25 school year. Your feedback will be used for planning purposes to determine professional development topics and presenters for zoom sessions and summer institute. 

Link to Survey

Your time and feedback are greatly appreciated!!

Wondering about AI (Artificial Intelligence)?

by Emma Richardson -

East Central BOCES is offering a one day training from MindSpark Learning on Responsible AI.  This will be a great day of learning all about AI and how it can be used responsibly in the classroom as a powerful learning tool.  

Register today before this training fills up by clicking HERE.

This is available for ALL ECBOCES member districts!

Attention Science Teachers K-12!!

by Megan Eikleberry -
Samantha Agoos, Science Content Specialist with CDE, will be hosting a 3 session series on Implementing the Science and Engineering Practices embedded in the Colorado Academic Standards for Science. Practical, concrete, and easy to implement strategies and resources will be shared. Participants will receive a $25 stipend for each session they attend. Register on the ECBOCES website to attend!

  • January 23rd from 4:15-5:15
  • February 20th from 4:15-5:15
  • April 23rd from 4:15-5:15

Please see attached link for more detailed information. Science Practices Details Agenda Link



DBQ Workshop: Inquiry and Investigations in Social Studies

by Megan Eikleberry -

Are you looking for ways to address the new Colorado Social Studies Standards in an engaging, student-centered way? Join The DBQ Project to learn how to blend Social Studies Content with the disciplinary skills and processes students need to succeed.


DBQ will be hosting two in person workshops. Pick the date and location that works best for you!

The DBQ Project Presents:  Inquiry and Investigations in Social Studies

 9 A.M. to 1:30 P.M.

Open to all social studies teachers, grades 4-12

Certificate of Completion for Contact Hours Provided

Lunch Included

Cost is $35 per person or $50 for a team of two

 

January 20 

Thompson School District in Loveland, CO

Register HERE

 

February 2, 2024 

CSU Pueblo Library and Academic Resource Center

More Information and Register HERE


Registration Closes Jan 11th for CLD & GT Courses

by Jodi Church -

The three Culturally and Linguistically Diverse AND Gifted courses are self-paced, virtual courses. You can take one or more levels and if you complete all three, you will fulfill the required 45 hours of CLD education needed for license renewal. Each course is $50 to be paid by you when you register but if you are an educator in any of the ECBOCES districts, you will be reimbursed for each course that you complete by the deadline, April 30th. 

Click here for for more information. 

Responsible AI and Problem Based Learning Workshops

by Emma Richardson -

We just received word that we were awarded the CSED grant for the 24 Spring semester which allows us to offer two great MindSpark Learning workshops.  We will be offering a one day session on Responsible AI and a 2 day workshop on Problem Based Learning.  Attendees will receive stipends for non-work days and a STEM related tool for their classroom.

Please take a few minutes to respond to this brief survey on what dates would work best for these workshops.

https://forms.gle/KPZMqjsFXi9V7TaV8

If you have any additional questions about these workshops, please contact Emma Richardson at ECBOCES.

Upcoming Educator Events at DMNS

by Megan Eikleberry -

 If any teachers are traveling from locations more than 100 miles away and want to attend one or more days of the course on the flyer, DMNS can 100% scholarship them and reimburse their mileage. We also have discounted hotel rooms we can offer. Reach out directly to Tamera Sakotas Tamera.Sakotas@dmns.org or Tim Blesse Tim.Blesse@dmns.org

The Science of Changing Your Mind: Building Deeper, Stronger, Conceptions of the World.  

  • Starting in January
  • DESCRIPTION: Learn & engage with practical strategies that empower students to take charge of their own learning.
  • Cost: $300 (scholarships for teachers traveling over 100 miles)

Spring Educator’s Night K-12

  • January 2nd from 6-9pm
  • DESCRIPTION: The museum appreciates the work you do with young people and the great service you provide our community. Join us for our annual spring semester appreciation event. Much of the museum will be open and completely free, including the Infinity Theatre (formerly IMAX) and the Planetarium, as well as “Behind the Scenes” tours of our research collection spaces.
  • Cost: FREE
Flyer and Registration Link

DBQ After School Special Workshops

by Megan Eikleberry -

What are the After School Specials, you ask? FREE interactive, dynamic learning experience right from the comfort of your favorite spot! 🏡✨ These invitational workshops, hosted on Zoom, have been crafted with your busy schedule in mind. Whether you're a seasoned DBQ Online expert or just starting your journey, there's something for everyone in our exciting lineup.


We have two strands, one for online skills and one for engagement strategies:

DBQ Online Skill Builder Series (#1 of 3)

Dive deep into the intricacies of DBQ Online! Every other Tuesday, we will spend 30 minutes digging into DBQ Online tools to expand your toolbox and make your usage more effective. The workshops provided will dive into grading and feedback, customizing writing, and teacher marks-ups and tools.

🌟 Elevate Your Efficiency with DBQ Online! 🚀

📊 Plan Formative & Summative Assessment

🔍 Master Grading & Feedback

💡 Assess Quickly & Efficiently 

🌐 Dive into DBQ Online

🗓️ 12/12/23 | 🕒3:45pm MST


Using DBQ: Innovative Instruction Series (#1 of 3)

Get ready for an immersive experience as we explore instructional strategies with DBQs. Learn how to engage, captivate, and inspire your students through Quick Writes, Pre-Bucketing, and Bucketing. Transform your teaching methods and create a lasting impact on your students' learning.

🚀 Engaging Instructional Support and Skill-Building Adventures Await with Quick Write Mastery! 📝

📚 Dive into Quick Write Strategies

📝 Turbocharge Summarization & Comprehension

💡 Spark Creativity in Your Classroom

Quick writes are the secret sauce to student engagement and comprehension! 🌟

🗓️ 12/19/23 | 🕒 3:45pm MST


**See attached flyer to register for the sessions and access the zoom link!

After School PD Special Flyer

**ECBOCES will provide stipends to participants who receive a certificate of completion!


Culturally and Linguistically Diverse AND Gifted Online Courses

by Jodi Church -

Hello Educators,

If you are looking for some virtual, self-paced courses to learn more about best practices for our CLD and gifted students, check these out! There are three levels and you can choose to participate in one or more courses next semester. See the flyer linked below for all of the information. 

Please note that you will be invoiced for the courses, but you will be reimbursed by the ECBOCES gifted program if you complete the course(s) by the due date, April 30, 2024.  

*These courses will fulfill the CLD 45 hour requirement for re-licensure. 

Link: CLD & Gifted Registration Information

Reach out to Jodi at jodic@ecboces.org with questions. 

EC BOCES SLP/OT Aid

by Beverly Blagg -

East Central BOCES is seeking a Speech Language Aide and/or Occupational Therapy Aide for the remainder of the 23-24 school year. 

  • Duties include picking up students from class, monitoring students during virtual instruction, and returning them to class.
  • Training will be provided.
  • Great Opportunity for someone who wants to work while your children are in school or someone who is taking online college classes. 
  • The salary range is $15 - $18 per hour, depending on experience.
  • 36-40 hours per week
  • Mileage reimbursed for travel between schools.
  • School Locations: Strasburg, Bennett, and Woodlin. 
  • For questions, please contact Tracy at 719-775-2342 ext. 101 or tracyg@ecboces.org
  • To apply go to ECBOCES.org and scroll to the bottom of the page and click on the posting. 

2023-2024 Colorado Science Toolkit for Learner-Centered Assessment Systems PLC

by Megan Eikleberry -

Hello Science Teachers and Leaders!

As you may know, the State Board recently reintroduced achievement on the CMAS science assessment into the school and district frameworks. Here is the draft 2024 Framework Scoring Guide

 If you are interested in learning more about high-quality, relevant, three-dimensional assessments that will prepare students for the three-dimensional items on CMAS science, please consider this FREE, virtual professional learning from Angela Landrum of CDE and Sara Cooper of CU Boulder. The first session is this Thursday. 

 2023-2024 Colorado Science Toolkit for Learner-Centered Assessment Systems PLC

The November-May sessions will be held on Thursdays from 4:00pm-6:00pm. The summer institute will be held June 10-13, 2024, from 9:00am-2:30pm each day. 

  • All sessions will be facilitated virtually via Zoom.
It is encouraged, to the extent possible, to engage in this work with a team but if that is not possible individual participants will certainly be supported. Please see the schedule below.


Module 1 – Cultivating Learner Centered Assessment Systems

  • Nov. 16, 2023: Develop Our Vision for Science Learning and Student Performance
  • Nov. 30, 2023: Center Students in our System

 Module 2: Building a Foundation for Equitable 3D Assessment

  • Dec. 14, 2023: Refine Our Priorities for Our Work and Grade Band Analysis
  • Jan. 11, 2024: Analyze the Elements of a Target 3D Standard
  •  Jan. 25, 2024: Brainstorm Phenomena for Student Sensemaking

 Module 4: Designing Assessments to Fulfill Our Vision

  • Feb. 8, 2024: Task Design with a Focus on Phenomena
  • Feb. 22, 2024: Task Design with a Focus on Scenarios
  • Mar. 7, 2024: Task Design with a Focus on Coherence
  • Mar. 21, 2024: Design a Paired Check & Connect

 Module 5: Tending to Learner Artifacts

  • Apr. 4, 2024: Seeing Student Work
  • May 2, 2024: Analyzing and Interpreting Student Work

 Summer Institute

  • Jun. 10, 2024: Anchoring Assessment in Curriculum, and Task Design with a Focus on Feedback
  • Jun. 11, 2024: Interrogate our Vision from Multiple Perspectives, and Analyze our Local Assessment System
  • Jun. 12, 2024: Using Student Work in Caring Ways, and Anchoring Assessment in Curriculum
  • Jun. 13, 2024: Shifting from Grading to Appraising, and A Vision and Plan for Equitable Grading

**If interested in participating, email Angela Landrum Landrum_A@cde.state.co.us to register. She will send calendar invitations for each session to those who are interested. 


Free Self-Paced EL PD Workshops Available

by Mitzi Swiatkowski -

SY23-24 WIDA Workshops - 

 Nine self-paced workshops are available to Colorado K-12 public school educators at no cost from Sept. 1, 2023 – Aug. 31, 2024. The content is relevant for all educators: school leaders, coaches and facilitators, K-12 classroom teachers, ESL teachers and specialists, and professional learning communities. These virtual workshops are available under the Professional Learning tab within the WIDA Secure Portal (valid login required). 


Ready to start your professional learning?

  1. Log in to your WIDA Secure Portal account. Don’t have an account yet? Contact your District Assessment Coordinator for account activation.
  2. Locate the course and click on Course Details. Click Enroll Now.
  3. Complete a self-paced workshop and print your certificate.
  4. Contact the WIDA Client Services Center at (866) 276-7735 or help@wida.us for technical assistance.

How do I get a WIDA Secure Portal account?

Info about creating WIDA Secure Portal Accounts: District ELD Program and/or Assessment Coordinators will create a bulk upload with educators’ names and email addresses. Once the bulk educator list is created, a user with District permissions will upload this list to WIDA Client Services Center (CSC). After WIDA CSC receives and processes the bulk upload, an automatic email will be sent to educators on the list inviting them to create an eLearning account through the WIDA Secure Portal. This account will give access to the eLearning self-paced workshops and other eLearning resources.


Adaptive Basketball Clinic

by Emma Richardson -

Please see this flyer regarding an Adaptive Basketball Clinic to be held in Strasburg on November 16th.





3 minute survey - please respond!

by Emma Richardson -

Please take just a few minutes to help me decide what would be the best kind of Professional Development to bring in related to the computer science/technology areas.  These trainings would be available for all ECBOCES districts.

CLICK HERE TO SHARE YOUR OPINION!

Thank you!

READ Act Training hosted by CDE

by Megan Eikleberry -

Please join us this Friday, Oct. 27th from 9-3! 

CDE will be coming out to East Central BOCES to engage in training and answering questions related to the READ Act. The following topics will be presented:

  • History and purpose of the READ Act
  • READ Plans

  • Five components of reading

  • SRD Identification and body of evidence

  • Exiting Students from a READ Plan (K-3) 

  • READ Act Teacher Training

Register on the website so we can get an accurate lunch count.

Added Another Date for CPI Initial - You will want to sign up before the class fills up!

by Lorie Coonts -

TRAINING DATE:November 17, 2023
TRAINING TIME: 9:00 AM - 3:00 PM
PRESENTERS: Callie Burgess & JoDee Ellis LOCATION: East Central BOCES West Training Room DESCRIPTION: The intent and philosophy of CPI is to provide the best care, welfare, safety and security at any given moment to the individuals in your charge even in violent moments. "Module links will be sent to your email address used for the EC BOCES website from CPI Learning (no affiliation with ECBOCES). The last day to register for class is 1 week prior to the in-person class. No online module links will be sent out after this date. Fee for EC BOCES districts: Initial Certification - Recertification - Location: All trainings are in a blended format with a portion completed online and finishing the training at East Central BOCES Training Room. Online module completion is required to participate in in-person training. Attire: Wear comfortable clothing and closed toe shoes. Contact CPI Certified Instructors: JoDee Ellis - jodeee@ecboces.org or Callie Burgess-callieb@ecboces.org.  See the information in the course information.  

READ Act Training Oct. 27th

by Megan Eikleberry -

On Oct. 27th, CDE will be bringing out the READ Act Team to provide PD around Read Plans and answer any questions that you have related to the READ Act. The event will be at the ECBOCES office from 9-3. The following topics will be reviewed during the day:

History and purpose of the READ Act 
READ Plans
Five components of reading
SRD Identification and body of evidence
Exiting Students from a READ Plan (K-3) 
READ Act Teacher Training

Lunch will be provided. Please register on the website!

PD Reminder: Strategies that Promote Student and Teacher Clarity

by Megan Eikleberry -

This week, we are offering two Zoom sessions centered around effective visible learning strategies as identified by John Hattie's research. 

  • Tuesday, Oct 10th: Starr Sackstein 6-12 zoom from 4:15-5:15
  • Thursday, Oct 12th: Isaac Wells K-5 zoom from 4:15-5:15

We invite you to join us to gain deeper insights into John Hattie's high-impact strategies that you can begin applying right away. Stipends will be available to all participants. 

PD Reminder: Strategies that Promote Student and Teacher Clarity

by Megan Eikleberry -

This week, we are offering two Zoom sessions centered around effective visible learning strategies as identified by John Hattie's research. 

  • Tuesday, Oct 10th: Starr Sackstein 6-12 zoom from 4:15-5:15
  • Thursday, Oct 12th: Isaac Wells K-5 zoom from 4:15-5:15

We invite you to join us to gain deeper insights into John Hattie's high-impact strategies that you can begin applying right away. Stipends will be available to all participants. 

Reminder for Upcoming Paraprofessional Cluster on Oct. 18th

by Lorie Coonts -

This is a reminder to sign up for the Paraprofessional Cluster on October 18th from 4:30-6:30 over Zoom.  Megan Bashioum, a School Psychologist Intern will be presenting on Emotional Intelligence.  She will be discussing the key elements and how they relate to relationships with others.  Strategies will be provided to help paraprofessionals not only be aware of their own emotional intelligence but also how to support students build their awareness and skills in this area. 

School in the Woods- Free Workshop for PreK-12 Teachers

by Megan Eikleberry -

Please see the attached flyer for School in the Woods to learn about connecting your curriculum to outdoor learning. The free event will take place in Colorado Springs on Saturday, November 4th.

PreK-12 Teachers will find lessons for their grade level to support their curriculum and use the GREAT outdoors as a learning tool.  Free workshop, resources, snacks and lunch! Register by Oct 28th. Mileage reimbursement upon request for 40 miles or greater one way.

Flyer and Registration Link

Morgridge College of Education University of Denver School Psychology Rural Hybrid ED.S Program

by Beverly Blagg -

Morgridge College of Education University of Denver received a grant from the U.S. Department of Education and is starting a School Psychology Rural Hybrid Ed.S Program.  East Central BOCES supported the grant application process by writing a letter of support as there is a shortage of school psychologists, especially those who want to work in rural settings. 

The course work is virtual and allows you to complete the Practicum I, Practicum II, and ED.S Internships with EC BOCES.  70% of the tuition costs will be covered by the grant. There will be 2 cohorts starting in the summers of 2024 and 2025. The application deadline for the first cohort is December 2023. There are specific requirements regarding the schools you would need to work and for EC BOCES this means you would work in our East area schools in the Limon to Burlington area. 

See the link for further information: Morgridge College of Education University of Denver Rural Hybrid ED.S. Program

DonorsChoose: Apply Even If You Were Previously Funded!

by Megan Eikleberry -

All Colorado public school educators who teach students in Pre-K – 12th grade are eligible for the program. Educators who previously received a donation on a project when this opportunity was first available are eligible for a second donation on a new project with this second opportunity. 

Funding from the first round (11 million) was gone in about a week. The funding for this round is about half (6.3 million) so will go very quick. Submit your projects ASAP!!

DonorsChoose- More Money: Create Your Project Today!!!

by Megan Eikleberry -

If you did not get funded during the first round, please make sure your project meets all the requirements and you must enter the campaign code correctly! 

Since funding is limited, submit as soon as possible for the best chance to get your project approved.

Given the popular demand of the first round of grants, the Governor is dedicating an additional $6.3 million in federal Governor's Emergency Education Relief (GEER) funding to support the needs of hardworking Colorado teachers. Post a new project today

Starting on September 21st, 2023, Governor Jared Polis & Colorado Department of Education will award up to $1,000 in Federal COVID Relief funding to Colorado classroom teachers’ projects requesting resources to support students in response to COVID-19. Funding for eligible projects will be applied shortly after a project is approved. 

How to qualify

  • If you don’t already have one, create a teacher account at www.donorschoose.org/teachers. Do not create a duplicate account.
  • Sign into your account.
  • Submit a project on DonorsChoose using the campaign code COLORADO, keep your total project goal under $1,000 (that’s about $800 in materials and $200 in shipping and other fees). 
    • Request resources to support students’ social, emotional, and mental well-being as well as the impacts of interrupted academic learning as a result of COVID-19. 
      • Keep in mind that your $1,000 grant includes the materials cost, applicable taxes and fees, shipping costs, and other processing costs. To keep your total project goal at $1,000 you should request around $800 in materials; you will see the project’s total goal update as you shopClick here for an example
      • When submitting your project request, describe how the supplies will help support student learning after the impact of the COVID-19 pandemic.
  • If your project is approved, funding from CDE, of up to $1,000, will appear on your DonorsChoose project page and you’ll receive an email from DonorsChoose when the funding arrives.
    • When you receive an email from DonorsChoose indicating your project has been funded, confirm your funded project using a district email address as soon as possible and before Sept. 30.
  • Create a new project on or after 9AM MST September 21st, 2023 and before September 29th, 2023.

Create your project

What won’t qualify:

  • Projects posted before September 21st, 2023 or after September 29th.
  • Projects with a total goal over $1,000 (this includes all fees)
  • Any items that include a subscription component
  • Materials from Scholastic, Time for Kids, or Teachers Pay Teachers gift cards
  • Resources categorized as "Food, Clothing, & Hygiene"
    • This means any items like food/snacks, clothing, first aid kits, hand sanitizer, deodorant, tissues, air fresheners, irons, cleaning supplies, or other non-COVID learning response related resources.
  • Projects within the subject area "Warmth, Care, & Hunger"
  • Professional Development, special requests, and virtual trip and visitor projects
  • Capital improvements to school building(s)
  • Salaries or bonuses

How you’ll receive funding:

If your project meets the above criteria, you’ll receive $1,000 in funding as soon as your project is reviewed by our team and posted on our site, while funds last. 

With thanks to the Colorado Department of Education

Gov. Jared Polis and the Colorado Department of Education are proud to support Colorado teachers and their incredible work responding to the impacts of COVID-19 on student learning. These funds are part of a federal relief package and allowable uses of the funds include:

  • Academic materials that students need to recover from learning loss
  • Social-emotional or mental health support materials to help with the impact of COVID-19 on student mental health

All participating teachers should comply with any applicable local laws and school district policies when creating their DonorsChoose projects for this partnership.

The initial $11M project was wholly funded by the Elementary and Secondary School Emergency Relief Fund, ALN 84.425D, through the Colorado Department of Education.

Additional funding for this project included $6.3M from the Governor’s Emergency Education Relief Funds, ALN 84.425C & R, through the Colorado Governor's Office and $400,000 from the Elementary and Secondary School Emergency Relief Fund, ALN 84.425D, through the Colorado Department of Education.



Scaffolding for Experienced English Language Learners

by Mitzi Swiatkowski -

Here is a link to an article related to Tan Huynh and Beth Skelton's book published earlier this year.  Congratulations to Tan and Beth on the accomplishment and thanks to them both for developing a wonderful resource for educators!  We are so fortunate to have Beth as a professional development provider for our consortium.  Beth will be presenting a 4-session cohort coming up on the following dates:  October 17, November 29, January 16, and February 13.  Participants should register on our website and plan to attend all four sessions.  Beth is requesting people participate via computer rather than a phone connection.  Any consortium member participating in all four sessions would be eligible to receive a copy of the book (shown below) after the participation and completion of all four sessions.

Link to: Edutopia Article-Scaffolding for Experienced English Language Learners

This is a newly published book which Beth Skelton co-wrote with Tan Huynh



Mind and Brain Education Conference with the Denver Museum of Nature and Science

by Megan Eikleberry -

Dear Teachers,  

Hope you are having a good start to the new school year and found some time to rest and relax this past summer. We know that most of you are still getting settled in your classrooms and may not find the time to check our website so we wanted to bring this to your attention. 

 We are very excited about once again hosting a popular upcoming event for K-12 educators this year at the museum on September 30 (see below). The past two years, it has proven to be successful because teachers like yourselves reported that spending the day learning from other classroom educators and university researchers about practical evidence-based teaching strategies was useful. 

 We know that this is a bigger "ask" for teachers from rural eastern and western Colorado then it is for those in the front range. So, in addition to the discounted hotel room. We have a limited number of first come first served scholarships for any teachers who are coming from 100 miles or more away and we also will reimburse their mileage. Just email me if you or anyone you know are interested.

We are hoping to get 50% of our participants registered by September 15, so that we can be assured that we will be able to cover our costs and not need to cancel the event. 

Hope you are able to make it , and please reach out if you have questions. Thank you for all you are doing every day for your students, especially those most at risk. 

 All the best,  

Tim Blesse                                            

Teacher Programs Consultant 

Denver Museum of Nature & Science 

Tim.blesse@dmns.org 

Brandon Davis 

Manager of ExciteEd School & Teacher Programs 

Denver Museum of Nature & Science 

Brandon.davis@dmns.org 



1?ui=2&ik=2777627bb8&attid=0.1&permmsgid=msg-f:1776496105228046997&th=18a761cba0fb9295&view=fimg&fur=ip&sz=s0-l75-ft&attbid=ANGjdJ-QVk05QYlPe8cTn-a_ZFFHqrmEYaikBTLRO_w4Rmj8-WgnVH-W4SH6X4zgK2ZxhVjsdudnWdfxxoUN4hCjQjZ7D9YV0cRj4-tYieKSRVrL91MRSVS6rG0jUhY&disp=emb 

 

Program Details 

DESCRIPTION: 

Join us at the Denver Museum of Nature &Science for a day of "Mind & Brain Education" presented and attended by local K–12 educators and university researchers with a common interest in applying psychology and neuroscience to their practice as they learn about things like:   

  • How do we learn?  
  • How do we regulate emotion?  
  • Culturally responsive teaching and the brain  
  • What motivates and demotivates learners?  
  • The science of belonging and agency  

    We are bringing together local facilitators who will present some evidence-based strategies that you can walk away and use tomorrow. In addition to our nationally recognized keynote presenter, choose between several 90-minute concurrent breakout sessions held in 3 rounds.  

DATE AND TIME:
Saturday, September 30
8 a.m. – 4:00 p.m. 

GRADE:
For practicing K–12 grade educators 

Registration Information 

COST: 

Registration Only $85 (includes coffee, snacks, featured presenter and a copy of the bookPowerful Teaching.)
Optional University Credit (Add On) $45  

CREDIT:  

Option A: (No cost) All participants will receive a certificate of hours for 7.5 hours upon checking out at the end of the day.   

Option B: Optional University Credit is available (0.5 hr) for an additional cost (see above) if you attend all sessions and complete a one-page written reflection about a brain-based strategy, suggested by a conference presenter, that you implement and evaluated after implementation. The evaluation can be anectdotal but should include evidence from student performance or class culture.   

Registration is required
Click this link to "Register Now" or call 303.370.6000. For questions regarding this course, please e-mail teacherprograms@dmns.org. 

Coming from outside the Denver Metropolitan Area? 

The museum has worked with the nearby DoubleTree Hotel to arrange discounted hotel rooms and waived parking fees for our conference guests. The discounted room rate is $119/night for a room with two double beds. (approx. $137.74 after taxes). To book your room at this rate simply click the link below and make your reservation.  

Hotel Booking Link

 https://www.hilton.com/en/book/reservation/deeplink/?ctyhocn=DENCPDT&groupCode=CDTMBE&arrivaldate=2023-09-27&departuredate=2023-10-01&cid=OM,WW,HILTONLINK,EN,DirectLink&fromId=HILTONLINKDIRECT 

 


Reminder of Upcoming Para-Professional Cluster

by Lorie Coonts -

This is a reminder to all paraprofessionals that there will be a cluster/training on Tuesday September 12th from 4:30-6:30 on Roles and Responsibilities of Paraprofessionals.  Please go to the BOCES website to register.   The training will be via zoom.

I look forward to seeing you on Tuesday!
Leah Price 

Beth Skelton 4-Session Cohort focused on Tools for EL Students

by Megan Eikleberry -
Needing tools and resources to help support your EL students? Join Beth Skelton in a 4-session cohort throughout the school year. Participants will receive a $100 stipend for attending all four sessions. Please see the attached flyer for more information and register for ALL four sessions on the website if you plan on attending. 

Beth Skelton Flyer

Tips for Getting Started with DBQ

by Megan Eikleberry -

Welcome Back to DBQ Online

Logging in and getting comfortable with DBQ Online!

The most important thing to start the year is making sure teachers can access and use DBQ Online! Please forward the attachment, which describes how to login and use DBQ Online, to your teachers!

Instructions for Logging In - All Integration Types
Getting Started Guide

DBQ Online 2023 Amazing New Features

We are always looking to improve our platform! We have added:

  • audio tool - leave recordings for your students
  • hyperlink tool - link your students to any website/new document
  • search function - find units and documents on any topic
  • customized binders for administrators - create custom binders using the entire library
Learn more about all of our amazing new features!

Classroom Funding for Prek-12 Teachers- Possible $1,000 with DonorsChoose

by Megan Eikleberry -

If you have submitted a project and it has not been funded yet, please reach out to the DonorsChoose Help Center (Link) to determine why. If your project was over $1,000 or didn't meet other eligibility criteria, you will need to resubmit to get funded from CDE.  Submit and review ASAP as funding is going quickly! 

Starting on August 24, 2023, the Colorado Department of Education will award up to $1,000 in Federal COVID Relief funding to Colorado classroom teachers’ projects requesting resources to support students in response to COVID-19. Funding for eligible projects will be applied shortly after a project is approved. ​If you do not see funding from CDE applied to your project within 24 hours, submit a customer service ticket to DonorsChoose via the customer contact form.

Eligibility Information:

  • Project requests can be made by anyone who meets all of the following criteria:
    • Is employed full time by a Colorado school district, charter school, Bureau of Indian Affairs school or Head Start center.
    • Spends at least three-quarters of their time directly interacting with PreK-12th grade Colorado public school students.
    • Examples of qualifying positions include K-12 classroom Educator, PreK Educator, school librarian, school nurse, school psychologist, etc.
    • A full list of eligibility criteria is available on the DonorsChoose website.

Project Request Details:

Only projects meeting all required criteria will be funded at a maximum of $1000.

  • Each $1,000 project includes the cost of materials and applicable fees. To keep the project goal at $1,000 teachers should request around $800 in materials.
    • Projects with a cost higher than $1,000 will not qualify for funding from CDE.
  • Required project criteria:
    • Project requests must come from a Colorado public school teacher or public charter teacher and serve students in grades PreK-12.
    • The project goal must be strong, clearly stated and educationally appropriate for the students affected.
    • Student benefits must be clear and apparent.
    • Requested items must reasonably relate to the stated project goal.
    • Student privacy is protected, with no identifying details about students or families provided.
    • Materials requested must be for student use.
    • Materials requested must be related to student recovery from the COVID-19 pandemic.
    • Food, staff stipends, hiring for district positions, purchased services, capital equipment or professional development materials for the educator will not qualify for this funding.
  • For a full list of project criteria, visit the DonorsChoose website.

How to qualify:


Questions & Answers

Which educators qualify; who is eligible? 

All Colorado public school educators who teach students in PreK-12th grade are eligible for the program. For the purposes of this program, “Colorado educator” is defined as any full-time equivalent public-school employee who spends the majority of their time directly educating or counseling students. Read a more detailed list of eligibility requirements on the DonorsChoose website.

I already have a DonorsChoose account, do I need to make a new account to submit a project?

No. Only one DonorsChoose account per teacher is permitted. If you already have a DonorsChoose account sign in to that account before submitting your project.

What resources can educators request?

Educators can request classroom resources, including but not limited to supplies, technology and instructional materials.

Can a non-educator nominate an educator and/or project?

No. Funding through this partnership is intended to address the individual and specific need(s) of each educator and classroom. Educators must submit their own projects to participate in the program. See the CDE Communications toolkit if you'd like to share about this program on social media.

Can educators submit multiple projects for funding?

Each Colorado educator can only have one project funded through this funding opportunity. However, educators are encouraged to post additional projects to DonorsChoose and benefit from the community of donors.

For more information on if your project qualifies, visit the DonorsChoose Help Center or reach out to Matt Koziol - Koziol_m@cde.state.co.us




DBQ Self-paced Courses with Stipend

by Megan Eikleberry -

If you are new to DBQ or would like to learn more about implementation and how to use the resources, there are self-paced courses available. While funding is available, teachers can earn a stipend after completion of the self-paced course. Please reach out to Megan Eikleberry for more information or questions about the stipend. 

DBQ Project's Self-Paced Courses

DBQ 101 - Fall 2023 Offerings

DBQ 101 Course Description

DBQ 101 Course Description 

These self-paced courses familiarize teachers with The DBQ Project Method. Teachers will learn how to make the DBQ process engaging and powerful for students. Participants will work through the steps of The DBQ Project Method at their own pace, pausing to reflect and practice along the way. 


The Basics

  • Courses will launch on August 8th, September 12th, and October 10th. More will be added as we move forward!
  • DBQ 101 is equivalent to our DBQ Full Day Introductory Workshop.
  • Courses are available at no charge.
  • Options for both instructors with DBQ Online access and instructors with the print binders.
  • Courses will be open for a month after launch.
  • Participants will receive a certificate of completion when they finish the course.
  • Certificate will contain credit hours - 6 for teachers with access to DBQ Online, 5 for those without.

Available Courses: 

Note! While the self-paced courses center around specific units, The DBQ Project Method, which drives them, is applicable to all DBQ Project material.


Early Jamestown: Why Did So Many Colonists Die? - Elementary focus

Youth Activism: Should Your Town Ban the Sale of Plastic Water Bottles? - Elementary focus

Valley Forge: Would You Have Quit? - Elementary and Middle School focus

What Were the Primary Reasons for the "Fall" of Rome? - Middle and High School focus

A Question of Scale: How Wealthy is Brazil? - Middle and High School focus

Civics: Should Americans be Required to Vote? - Middle and High School focus

Politics or Principle: Why Did L.B.J. Sign the Civil Rights Act of 1964? - Middle and High School focus

What Was The Underlying Cause of World War I? - High School focus


Available soon!

Literature: How Did Abolitionists Make the Case Against Slavery? - Middle and High School focus

DBQ Project Self-Paced Courses

DBQ Project Self-Paced Courses 

For more information, please reach out! 




DBQ News and Resources: September

by Megan Eikleberry -

If you teach Social Studies (3-12) or English and would like access to the online portal with resources, please reach out to Megan Eikleberry at megane@ecboces.org

DBQ News Online Support Series - September 2023Welcome Back to School!
The DBQ Project is here to address district and school needs. DBQ News is our professional development and support program newsletter designed to help teachers help students "read smart, think straight and write clearly," whether it is in-person or virtually. Each month, we will be sending out DBQ News detailing PD opportunities, tips and tricks, new stuff, and DBQ Online support.

September DBQ/Mini-Q Unit Spotlights

How Do We Remember 9/11?

On September 11, 2001, the United States was attacked. Terrorists used airplanes as weapons and crashed into the World Trade Center in New York City, the Pentagon in Washington, D.C., and a field in Pennsylvania. Almost 3,000 people from 90 different countries lost their lives. This Mini-Q looks at different ways we remember this tragedy by focusing on three particular groups - the victims, the survivors, and the helpers. 

Early Jamestown: Why Did So Many Colonists Die?

In May 1607, a group of roughly 100 men from England landed in Virginia. They would soon establish the first permanent English colony in what is now the United States. The early years of settlement were not easy. This Mini-Q asks why so many colonists died.

DBQ Online Teaching Tips & Strategies

Using the Student Essay Page to Create DBQ “Quick Writes”

A DBQ “Quick Write” is a short DBQ-type lesson. It is short, meaning 1-2 class periods or 30-45

minutes at home in a virtual setting. A “Quick Write” is not a full DBQ, which encompasses multiple

historical thinking skills, not to mention literacy and critical thinking. A “Quick Write” focuses on one or two skills for students to learn and develop in isolation. Using a football analogy, a full DBQ is Friday night’s football game, where all of the skills learned have to be on display. A “Quick Write” is the weekday practice on one skill, technique, or formation.


Attached below is a document showing you how to create and customize a Quick Write and examples using several pages in a DBQ Online lesson.

What's New with DBQ Online?

Three Amazing New Features Added to DBQ Online!

We are listening! 

  • Search feature: The new search feature allows teachers to quickly search for a particular subject, historical figure, event, etc. Just type "Andrew Jackson" in the search box and any unit that mentions Andrew Jackson will appear.
  • Add Audio and Hyperlink Annotation: Through teacher markups, teachers now have the ability to add an audio annotation to any page in the unit. Just click the microphone and record a specific note! This feature is also available in the feedback mode. Teachers can ALSO embed unique hyperlinks into the platform, giving them unlimited flexibility on how to scaffold and support students.
  • District Customized Binders: In the District Admin Portal, administrators can create customized binders and share them with their schools. Customized binders can be created from all units in the library, making courses for grade-level bands and for thematic studies that focus on an era or groups of people.

DBQ District Spotlight

Magnolia ISD, Magnolia, TX

Magnolia ISD uses The DBQ Project as the driving force in a compressed 5th-grade social studies curriculum designed to improve the reading performance of their most struggling readers.


Check out what Bear Branch Intermediate School principal, Coni Felinski, had to say about the success of using The DBQ Project.

DBQ Coni Felinski

DBQ Project Workshops

We offer three types of workshops:

  • In-person
  • Virtual
  • Asynchronous


Our workshops provide the sustained support teachers need to help their students be successful. The DBQ Project is committed to helping teachers accelerate their students at a pace everyone can understand. Students need strong reading and communication skills to succeed personally, in school, and at work. 21st-century teachers need information and support to boost critical thinking skills and close racial and socio-economic gaps in student achievement. We have several asynchronous courses that do just that. Click below for more information.

The DBQ Project

"Helping ALL students to read smart, think straight and write clearly"

Email: info@dbqproject.com
Website: www.dbqproject.com
Location: 1234 Sherman Avenue, Evanston, IL, USA
Phone: 847-475-4007
Facebook: facebook.com/dbqproject
X (Twitter): @dbqproject


Classroom Funding for Prek-12 Teachers- Possible $1,000 with DonorsChoose

by Megan Eikleberry -

The Colorado Department of Education, in collaboration with DonorsChoose, is providing $1,000 in funding to help teachers purchase classroom supplies. Every Colorado PreK-12 public school teacher is eligible to apply for this opportunity while the $11 million in COVID-19 relief funds last.
Note: Since funding is limited, submit as soon as possible for the best chance to get your project approved.
Here’s How to Qualify:
  • Create a teacher account at www.donorschoose.org/teachers, if you don’t already have one.
     
  • Sign into your account.
     
  • Submit a project on DonorsChoose using the campaign code COLORADO, keep your total project goal under $1,000 (that’s about $800 in materials). 
     
  • When submitting your project request, describe how the supplies will help support student learning after the impact of the COVID-19 pandemic. 
     
  • If your project is approved, funding from CDE, of up to $1,000, will appear on your DonorsChoose project page and you’ll receive an email from DonorsChoose when the funding arrives.
    • When you receive an email from DonorsChoose indicating your project has been funded, confirm your funded project using a district email address as soon as possible and before Sept. 30.
Submit My Poject button
For more information on if your project qualifies,
visit the DonorsChoose Help Center.

Attention Science Teachers!!

by Megan Eikleberry -

Below are some professional development opportunities and student opportunities coming up through CDE and other organizations:

1. The Learning-Centered Assessment Systems Toolkit is a free professional learning opportunity presented by CDE, the State Performance Assessment Learning Community, and CU Boulder to provide science educators the opportunity to learn more about:

  • the instructional shifts that go along with three-dimensional instruction outlined by the Colorado Academic Standards for Science.
  • the use of three-dimensional embedded and transfer assessment opportunities that intentionally advance learning for all learners.
  • crafting high quality, three-dimensional assessment tasks as well as how best to use learner artifacts to inform instruction.
  • If you are interested in learning more about this opportunity, please complete this survey by September 8, 2023. Please contact Angela Landrum at Landrum_A@cde.state.co.us with questions. 

2. American Physical Society (APS) Division of Plasma Physics (DPP) will be hosting a FREE Student Expo (Nov 2-3, 2023) and  FREE Teacher Day (Nov 1,  2023) in Denver Register Here 

  • Reimbursement for Bus and Subs available!!
  • Flyer

 3. Starting in August Virtual, Colorado Parks and Wildlife is offering free interactive virtual programs for K-12 classes. Virtual program topics will include adaptations, mapping, and ecosystems. Colorado Parks and Wildlife will provide a zoom link and printouts. Additional information will be provided after signing up.  

Sign-up Here

 


Supporting Twice Exceptional (2e) Learners Part 1: A five-week asynchronous online course

by Jodi Church -

Free Course runs Mon, Sept 18 - Mon, Oct 16, 2023 

Registration Deadline: Friday, September 1, 2023 

Please click HERE to register. 

Professional Development provided by the CDE Twice Exceptional Cadre, a collaboration between the offices of Special Education and Gifted Education from the Colorado Department of Education Exceptional Student Services Unit

TARGET AUDIENCE 

Educators who want to learn about gifted students with disabilities (i.e., twice exceptional students).

Participants may include general education educators, special educators, gifted educators, counselors, psychologists, social workers, specialized service providers, principals, directors, or administrators.

IMPORTANT COURSE INFORMATION 

  • Pass/Fail grade: must earn 80% to pass

  • 24 professional development hours for passing course

  • Although asynchronous, please note for the benefit of all participants, there will be a limited number of deadlines (e.g., weekly discussion posts)

  • All course materials (e.g., selected readings, videos) are provided

  • Participants will complete a student study

  • Taught via CDE’s Moodle platform

  • This course is a prerequisite for the Supporting Twice Exceptional (2e) Learners Part 2 course

  • Course may close if filled before registration deadline or be canceled due to low enrollment

  • For questions, please contact Connolly Sherwood, Twice Exceptional Gifted Education Consultant sherwood_c@cde.state.co.us  |  720.215.8842


PARTICIPANTS WILL GAIN FUNDAMENTAL KNOWLEDGE TO

  • recognize the characteristics and needs of twice exceptional (2e) students including identification considerations

  • apply evidence-based strategies to support both strengths and challenges of 2e students

  • define and utilize strength-based programming for 2e students within an MTSS framework


  • analyze student data to support the development of appropriate goals for 2e learners


COURSE BENEFITS

  • Build capacity to identify and support 2e students


  • Meet and collaborate with colleagues throughout the state


  • Complete in 5 weeks


  • Earn 24 contact hours for CDE license renewal


  • School, district, or BOCES can take the course together


  • Support from CDE’s Twice Exceptional Cadre


DBQ Welcome Back for English and Social Studies Teachers 3-12!

by Megan Eikleberry -

Welcome Back to DBQ Online!

  • New teachers? Sign up for a demo! It lasts 30-45 minutes and takes teachers through the basics of DBQ Online. Link to DBQ Online Demo signups here!

  • Need deeper professional development? We have created a FREE asynchronous professional development coursewhich goes much further into the DBQ pedagogy. Sign up for the DBQ Asynchronous Course here
    • Stipends paid by ECBOCES upon completion. Reach out to Megane@ecboces.org for more information.
  • DBQ Online 2023 Amazing New Features. We are always looking to improve our platform! We have added: 
    • Audio tool - leave recordings for your students

    • Hyperlink tool - link your students to any website/new document

    • Search function - find units and documents on any topic

    • Customized binders for administrators - create custom binders using the entire library

    • Learn more about all of our amazing new features!

  • IMPORTANT:  If you are new to DBQ this year and need DBQ Online Access, please contact Megan Eikleberry at megane@ecboces.org


Culturally, Linguistically Diverse AND Gifted Courses

by Jodi Church -

Participate in up to three levels of self-paced online courses for supporting students who are both CLD and high potential or gifted. These courses are approved for CLD re-licensure requirements from CDE. 

The courses are open from September 11th through December 8th, 2023. Register here by September 11th. See flyer for more information about course descriptions, cost and reimbursement guidelines, and optional graduate credit. 

Contact Jodi Church with questions, jodic@ecboces.org

Attention Counselors- YouScience Training.

by Jack Daly -

Youscience is used to provide career guidance by discovering students' aptitudes. They use artificial intelligence to uncover student aptitudes, then connect those aptitudes to career and education pathways.  This is especially useful when doing ICAPS.

Last year each of the districts received several Zspace computers that are mainly meant to be used for your CTE and STEM classes to expand options in those classes.  However those machines also include YouScience subscriptions for you to use and these subscriptions can be used on any computer.

The training will be on August 16 @ 10am. You can use the this zoom link to attend  https://youscience.zoom.us/j/8013615918

You can also register on the ECBOCES website

Colorado Emergent Literacy Scales Training

by Beverly Blagg -

Register on the EC BOCES website to Attend the Colorado Emergent Literacy Scales Training (CELS) on September 12 from 9-1:30 at the East Central BOCES office. Gina Herrera, Colorado Department of Education District-Wide Alternate Assessment Consultant will present information on the purpose of the CELS, and Administering and Scoring the CELS. This training is highly encouraged for those who are responsible for READ Act Assessment and those who teach or work with students who are receiving instruction based on Extended Evidence Outcomes, this includes DACs, special education teachers, and general education teachers at all grade levels.  

As you know the READ Act requires an assessment of literacy development for K-3 students but not all students have the skills to take the assessment that districts have chosen to utilize. In those situations, the Colorado Emergent Literacy Scales (CELS) is used. This assessment is typically used for students whose instruction is based on Extended Evidence Outcomes (EEOs). Once a student is on a READ Plan they will remain on a READ Plan until the student achieves grade-level competency. As part of the READ ACT Implementation Process, students need to be assessed throughout each school year. Students who are assessed using the CELS need to be assessed on the same assessment schedule as all students in the district. This is why it is important that at least one person from each district has the knowledge to administer and score the CELS.

Lunch will be provided. For questions contact Bev Blagg at 719-740-0544. 

Fulfilling Job

by Beverly Blagg -

Want a fulfilling job working with kids? Join the EC BOCES Team by working as a paraprofessional in the West Center-Based Learning Program located at Strasburg. Competitive Salary $15-$18 an hour dependent on experience. Benefits include medical, dental, and vision insurance. To apply go to ECBOCES.org, click on Jobs at the bottom of the page, click on Full Time Special Education Paraprofessional, and then click on Apply.  If you have questions contact Tracy Grimes at tracyg@ecboces.org or 719-775-2342 ext. 101. 



Reminder Upcoming ZSpace Training on June 19

by Jack Daly -

Sign up for the Zspace training on June 19


Program Overview: The Zspace Training Program aims to equip participants with the necessary knowledge and expertise to leverage the power of Zspace, a cutting-edge virtual reality platform. By blending virtual reality and real-world experiences, Zspace opens up infinite possibilities for training, simulations, and interactive learning.

Program Highlights:

  1. Introduction to Zspace: Discover the fundamentals of Zspace and gain a comprehensive understanding of its features and capabilities.
  2. Virtual Reality Immersion: Dive into captivating virtual environments that replicate real-life scenarios, enabling hands-on experiences without leaving the training room.
  3. Interactive Simulations: Engage in interactive simulations that mimic complex tasks, providing a safe and controlled environment to develop skills and boost proficiency.
  4. Collaborative Learning: Experience the power of collaboration within the Zspace platform, allowing you to connect and interact with colleagues, mentors, and subject matter experts.
SIgn up through the ECBOCES website and bring your Zspace machine with you

Lunch is provided

3D Printer Training Reminder

by Emma Richardson -

Just a reminder that we have a final 3D printer training on June 9th.  This training will offer some advanced modeling using Fusion 360 software (please have installed prior to training).  There will also be some robot giveaways during the training for ECBOCES Members.

This training is available on site or via Zoom, please be sure to register as soon as possible so that we can get a count for lunch.  Register HERE.

Last Chance to Register for Summer Institute!!

by Megan Eikleberry -

Are you needing credit hours for your license renewal? Are you wanting strategies to improve your practice? Join us in June at the ECBOCES office!

  • English Language Learner PD June 5th, June 12th, June 13th, June 14th, and June 15th
  • Content specific PD for ELA and Math June 6th, 7th, 8th, and 9th. 

Please see the attached flyer for more information. Lunch and stipend will be included!! 

Summer PD Flyer

Summer AgriCULTURE Institutes

by Megan Eikleberry -

FlyerBelow is information on the Colorado Agriculture in the Classroom’s Summer AgriCULTURE Institutes. They are holding two courses in July – a 5-day course in Durango and a 3-day course in Denver. Participants will earn Continuing Education Units or CSU Graduate Level Credits. They will also get a behind the scenes look at Colorado agriculture, learning directly from farmers, ranchers, and industry experts. At the end of the course, they will receive lessons and training on how to introduce food, water, and agriculture topics into their classrooms. Please share!

Thanks!

Jennifer Scharpe
Executive Director
Colorado Agriculture in the Classroom

Colorado Foundation for Agriculture
10343 Federal Blvd Unit J Box 224
Westminster, CO 80260

NEW EMAIL: jennifer@coagclassroom.org 
Office:  970-818-3308
Direct (cell):  720-788-3224
www.GrowingYourFuture.com

 

 

Two Professional Development Courses to Learn About Agriculture 

The Summer AgriCULTURE Institutes (SAI) are hands-on professional development courses designed for educators – all grade levels, all disciplines, formal and informal. This is not your typical professional development. Past participants have said the SAIs are like summer camp for adults as much of the time is spent on tours of farms, ranches, and food and agriculture production facilities. 

 

To learn more and register for either course, please click here or visit http://bit.ly/CoAITC-SAI

 

July 10-14, 2023 – Durango: Crossroads of agriculture and education.

If you’re new to Agriculture in the Classroom or if you’d like to learn about agriculture and natural resources in the southwest, this five-day course is for you. Ranching, farming, produce, water, and integrating agriculture into your school are just a few of the topics that you will learn about through on-site tours and presentations from industry experts. PreK-12 formal and informal educators in all disciplines from across the Four Corners region and beyond are welcome. Registration of $95 includes 2.5 Continuing Education Units (37.5 clock hours) and 3 free optional graduate level credits from Colorado State University. Confirmed tours include Ute Mountain Ute Tribe, Montezuma Orchard Restoration Project, Stone Peak Ranch, Milligan’s Bees, McComb Ranch, and more. Plus, get training on lessons from the National Center for Agricultural Literacy!

 

July 18-20, 2023 – Denver: The science of animal agriculture. 

A NEW, three-day professional development opportunity focused on immersive learning experiences in science education. From veterinary science to climate impacts of livestock production to food production, participants will learn directly from industry experts and be equipped with lessons and resources that can be immediately used in the classroom. While this session will be science-focused, it is open to all preK-12 grade formal and informal educators from Colorado and surrounding states. Registration of $45 includes 1.5 Continuing Education Units (22.5 clock hours) and 1 free optional graduate level credit from Colorado State University. Confirmed tours include Five Rivers Cattle Feeding, CSU AgNext, CDA Animal Health Lab, CSU Spur Campus, plus speakers on pork production and soil health.

 

Help spread the word by sharing this flyer with educators in your school, district, community, networks, and beyond!

Flyer

Second 3D Printer Training - June 9th

by Emma Richardson -

We are able to bring our presenters back for another 3D Printer Training on June 9th.  This will be offered in person at East Central BOCES but can also be accessed via Zoom.  This training will build on the last training by delving more into Fusion 360 modeling software.  It will also look at some more slicer settings.  

There will some cool giveaways during the training (think Robots!!) for East Central BOCES members!

Lunch will be provided.  Please register HERE.

Summer Institute

by Megan Eikleberry -


Make sure you register!! 

All sessions will be from 9:00-3:00 at the ECBOCES office in Limon. Teachers will receive a stipend and lunch will be provided. 


June 5th: Supporting English Learners/Multilingual Learners in the Classroom K-12

June 6th: Promoting Literacy through PBL 6-12

June 7th: Promoting PBL in the K-5 Classroom

June 8th: Implementing PBL in Math K-5

June 9th: Implementing PBL in Math 6-12

June 12th: The Language of Language Arts 4-12 (EL Hours)

June 13th: The Language of Math 4-12 (EL Hours)

June 14th: The Language of Science 4-12 (EL Hours)

June 15th: The Language of Social Studies 4-12 ( EL Hours)

See attached flyer for more information.

Summer Institute Flyer




ZSpace for Beginners- 3D & VR in the classroom

by Jack Daly -

ZSpace for Beginners

Learn how to use Zspace and 3D technology to teach your students. This class is an introduction to using the Zspace machines that your district have received this year.  Zspace allows you to deliver an immersive and interactive learning experiences for your students. Get links to lesson plans and develop your own project using the machines in the class

Subjects: Elementary, Science, Math & CTE
Watch the short video below to sample the power of the machines to transform your classroom
 ​

If the video doesn't work use the following link
https://drive.google.com/file/d/1FWZdGmdIOBSH5Wor50wpIlSzH7cJD6RA/view?usp=sharing

Sign up for the class on the BOCES website at www.ecboces.org

When: June 19, 2023
Where: BOCES in Limon
Subjects: Elementary, Math, Science, & CTE
Required: Bring one of your districts Zspace machines with you

Colorado Rockies Teacher Appreciation Homestand

by Mitzi Swiatkowski -
The Colorado Rockies appreciate teachers.  Let’s hear it for our educators!

The Colorado Rockies and TEACH Colorado would like to invite all teachers, support staff, administrators, and volunteers to enjoy a special night at the ballpark!

For questions or to purchase more than 12 tickets, please call 303-ROCKIES or grouptix@rockies.com.

Link for more information:  https://www.mlb.com/rockies/tickets/specials/themes/teacher-appreciation

Prices and locations subject to change without notice.

Philadelphia Phillies Series (Fri-Sun)

Friday, May 12 at 6:40pm vs. Philadelphia Phillies
Saturday, May 13 at 6:10pm vs. Philadelphia Phillies
Sunday, May 14 at 1:10pm vs. Philadelphia Phillies

$65 Infield Lower Level
$45 Club Level, Outfield
$25 Outfield/Corner Outfield Box
$22 Pavilion
$22 Rightfield Mezzanine
$15 Upper Reserved, Infield

Cincinnati Reds Series (Mon-Wed)

Monday, May 15 at 6:40pm vs. Cincinnati Reds
Tuesday, May 16 at 6:40pm vs Cincinnati Reds
Wednesday, May 17 at 1:10pm vs. Cincinnati Reds

$55 Infield Lower Level
$37 Club Level, Outfield
$19 Outfield/Corner Outfield Box
$16 Pavilion
$16 Rightfield Mezzanine
$12 Upper Reserved, Infield




Summer Professional Development

by Megan Eikleberry -

Summer Institute at ECBOCES is quickly approaching! Please see the attached flyer for professional development opportunities in June. Stipend and lunch will be available. Please register on the ECBOCES website. 

Summer Flyer

Two Free PD Opportunities for Social Studies

by Megan Eikleberry -

Learn the skills you need to find trustworthy news

How to Find News You Can Trust. Skills for seeking credible information. Free webinar series. Wednesdays. April 12, 19, and 26. 4pm Eastern Time/1pm Pacific Time.

It seems like finding credible information and sources online gets trickier by the day. But when you sign up for our free webinar series How to find news you can trust, you will discover how to outsmart the bad actors that flood our newsfeeds with misinformation.

The series begins a week from today — April 12 — and runs for three consecutive Wednesdays, starting at 4 p.m. ET. Register once for the whole series.

REGISTER HERE

April 12: Session 1 | What is quality journalism?

News outlets help us make informed decisions, but the process of creating news isn’t always transparent. In this session, journalists Brandon Pope of WBEZ Chicago and Molly Parker of Lee Enterprises will discuss how they build credibility and trust with the public and will describe the standards that guide their newsgathering. This session will pull the curtain back on the practice of quality, ethical journalism and its mission to inform us accurately.

Brandon is an award-winning and Emmy-nominated journalist, media critic and columnist, and host of the podcasts On The Block: Powered by Block Club Chicago on CW26 and the MAKING series from WBEZ and NPR. Molly, a ProPublica distinguished fellow, is an investigative reporter with Lee Enterprises’ Public Service Team, where she works with regional reporters in 25 states to produce impactful, data-driven local journalism.


April 19: Session 2 | Understanding news media bias

People frequently perceive and allege bias in news coverage, but what does this really mean? What makes a piece of news biased, and who decides? Journalist Amethyst J. Davis, founder of the Harvey World Herald, a hyperlocal, independent newsroom in Illinois, and Stephanie Casanova of Signal Cleveland, a nonprofit newsroom that fuses community building with local news reporting, join us to discuss how the journalistic standards we learned about in Session 1 can be applied to confront and avoid news bias. This session will empower you to evaluate the fairness, accuracy and objectivity of news coverage.

Amethyst oversees growth and development, including outlining editorial trajectory and content, at the Harvey World Herald. A member of the community advisory board for Chicago Public Media, she is a Casey Fellow with the National Association of Black Journalists Black News & Views. Stephanie is the criminal justice reporter with Signal Cleveland and formerly covered criminal justice and breaking news at the Chicago Tribune.


April 26: Session 3 | How fact-checking works

Fact-checking organizations are taking up the charge to combat the spread of misinformation, debunking some of the most viral content springing up on social media. Fact-checkers Dan Evon of the News Literacy Project and Rafael Olavarría of Factchequeado will talk about their work and share skills that you can use to check the accuracy of information.

Dan debunks viral rumors for NLP’s RumorGuard™ platform, which empowers the public to push back against misinformation. Prior to joining NLP in 2022, Dan worked as a reporter for Snopes, the internet’s oldest fact-checking site. Rafael, a Venezuelan immigrant who fled political persecution, began his journalism career as a producer and writer for CNN and won 11 Southeast Emmy Awards as a multimedia journalist with Univisión.


We hope to see you next week!

REGISTER HERE


For a future founded on facts,
The News Literacy Project

P.S. If you miss one of the sessions, don’t worry, we’ll share recordings of all three.


Second opportunity:

Please join us for our 16-hour in-person Holocaust by Bullets Teacher Workshop for current middle and high school teachers, pre-service teachers who are currently enrolled in an accredited college/university program, and current college/university faculty being held on Friday and Saturday, April 21-22 (at the UNC Lowry Campus in Aurora, CO...more details will be made available after your registration is confirmed). 

 Learn more about this often-forgotten but, essential chapter of Holocaust history, to hear the voices of those who witnessed it.  You will also be introduced to contemporary mass killings, like that of the Mayan populations in Guatemala, and genocides, like that of the Yazidi people in Iraq, both of which have been investigated by Yahad – In Unum’s teams. Please see the attached flyers for information on the specifics of the workshop. This is the same workshop being offered two separate times. Seating will be limited; please register as soon as possible. 

 To register for this FREE seminar, please reply to this email (tphennessy@hotmail.com), and we will send you a very brief questionnaire to fill out; we will then register you for this workshop. Current middle and high school teachers, pre-service teachers who are currently enrolled in an accredited college/university program, and current college/university faculty will be enrolled after completing the questionnaire. 

 NoteThrough a very generous donor, we have funding available to assist in lodging, meals, and transportation costs for a select number of COLORADO registrants only. If you are from out of state, you are still encouraged and welcome to join us, and we will certainly help you plan your travel to be the most cost-effective possible. We truly wish we could offer the travel stipend for all educators; however, at this time, our funding is very specific from our donor. 

 A light breakfast, lunch, and beverages will be offered on both days. More information to come after your registration is confirmed. Vegetarian, Vegan, and Kosher options will be offered. 

 Please reach out with any questions regarding the workshops, logistics, or anything else we may have missed at this time.

 

Take care and be safe.

 Ewa and Todd

Ewa Schaller & Todd Hennessy

Yahad-In Unum

 

0?ui=2&ik=2777627bb8&attid=0.0.1&permmsgid=msg-f:1762356018669386223&th=187525762c8f79ef&view=fimg&fur=ip&sz=s0-l75-ft&attbid=ANGjdJ-_D2NekTJq6Xi-2L1joWYDtJnFV1nkpP-WxWnfsZS2IzkLnNS4KkE_E3dvbnrpJo-MJ3cDZtpAfdXDSt8Yunbgr8NrUtdZ9iLsa_-cbjDV2D5yW5KP9lzw1FA&disp=emb&realattid=18752426cb7ef3b3b321

 

"…There are already people who think that every Jew who died in the Holocaust died at Auschwitz, died in a concentration camp, died in a gas chamber. No. There's whole chapters of this story."


Daniel Mendelsohn [Author of Lost: A Search of Six of Six Million, 2006]

The U.S. and the Holocaust Documentary, 2022

Episode 3 The Homeless, Tempest Tossed (1942 - )

It is now known that at least one-third of the Jewish victims of the Holocaust perished in the mass shootings perpetrated in Eastern Europe by the Nazi mobile death squads and their collaborators. Father Patrick Desbois and Yahad-In Unum have been documenting, investigating, and recording this chapter of the Holocaust since 2004. Father Desbois and Yahad-In Unum have currently identified over 3,200 execution sites and have interviewed over 7,500 eye-witnesses in eleven countries where the Holocaust by bullets took place. 

 Now, classroom and pre-service teachers can participate in an educational seminar with Yahad-In Unum Educators and Investigators who have directly participated in the investigations of the history of the Holocaust by bullets and the interviews with the eye-witnesses. 

Flyer


Training Stipends!

by Emma Richardson -

East Central BOCES Is working on sending out stipends for any trainings that offered stipends.  In order to receive a stipend, you need to have completed all the necessary items to receive your certificates.  

You can quickly see which trainings you have completed by clicking on the Certificates Icon on the website home page after you have logged in.  If you are missing a certificate for a training you attended, please go to the page for that training and make sure that you completed the attendance during the training and completed the evaluation.

If you did not check in and submit attendance for a training, you will need to contact the presenter so that they can mark you as attended.  Evaluations can be completed at any time.  There is a link on each page to the requirements for Stipends.  Please make sure that they are completed.

We will pull training completion reports after April 7th so please make sure that all your info is current and requirements met before that date.

Attention Social Studies Teachers!!

by Megan Eikleberry -

Two Free PD Opportunities coming up!

1. We are excited to announce that in cooperation with Echoes and Reflections, the Holocaust Awareness Institute at the University of Denver's Center for Judaic Studies, and Educator Amy McDonald, the Colorado Holocaust Educators are offering a FREE online professional development workshop for current classroom and pre-service teachers on Tuesday, April 4, 2023, from 6:00 - 7:30 PM [MST].

This no-cost online workshop will focus on The history and legacy of the Warsaw Ghetto and the Warsaw Ghetto Uprising and highlight appropriate rationale and resources available to classroom educators.

  • A brief historical overview of the content and context of the Warsaw Ghetto and the Warsaw Ghetto Uprising. Thoughts on pedagogical approaches and rationale will also be shared.
  • Author and current high school educator, Amy McDonald will share her insight and knowledge of the Warsaw Ghetto through her work…"Word Smugglers: A Story of Resistance in the Warsaw Ghetto." Amy will share key points in the story of the Oyneg Shabes archive from the perspectives of Dr. Emanuel Ringelblum, Rachel Auerbach, Israel Lichtenstein, David Graber, and Nahum Grzywacz. It is a story about a courageous group of men, women, and young people who chose to resist and fight back against cruelty and fear. This group did not fight back with guns and weapons. They fought back with words, stories, and truth.

NOTE: The first 25 educators to register AND complete this course will be mailed a copy of Amy McDonald's book, "Word Smugglers: A Story of Resistance in the Warsaw Ghetto" (2021).

  •  We will share numerous classroom resources and personal resources to help facilitate your teaching of the Warsaw Ghetto and the Warsaw Ghetto Uprising. We will highlight the use of Echoes & Reflections' online and interactive "Timeline of the Holocaust," in addition to other resources.
  • An overview of the Holocaust Awareness Institute's"Survival & Witness" website and supporting materials, and the additional resources that the Holocaust Awareness Institute can provide for classroom educators.
Two hours (2) of Professional Development credit will be awarded for completing this workshop.

 
Link to Flyer

 To register, please email Todd Hennessy at tphennessy@hotmail.com

Please reach out with any questions.

Be safe,

Todd Hennessy

The Colorado Holocaust Educators

720-210-4374


2. James Madison Legacy Project Expansion: Empowering High-Need Students for Informed, Thoughtful, and Productive Citizenship

A new free project to empower high-need students through improved professional learning and instruction in the We the People: The Citizen and the Constitution curricular program! 

Includes new resources for We the People instruction that foster positive civics and social and emotional learning (SEL) outcomes among English learners, students with disabilities, and students of color.

 Link to Flyer

 Eligible CO Secondary Social Studies Teachers receive a set of classroom books, travel support, and a $1000 completion stipend.

Register today. Limited to 20 Teachers. https://forms.gle/SafxZ6QsLYA4M5AB8

52 hrs. of professional learning. Begins with a four-day workshop at History Colorado Center July 17-20, 2023

 Made possible by a US Department of Education Grant received by the Center for Civic Education.

 For more information contact 

 Chris Elnicki (he/him/his)

Executive Director

Colorado Center for Civic Learning and Engagement (C3LE)

A Project of  the Colorado Non Profit Development Center (CNDC) 

chriselnicki@gmail.com

celnicki@c3le.org

3D Printer Training with Printer GiveAways!

by Emma Richardson -

On May 3rd, we are offering a 3D printer training.  There will be a chance to win one of five 3D printers during the training as well as 3D printer supplies.  Sign up today on the ECBOCES Website - CLICK HERE for more information.

K-3 Read Act Training for Teachers, District Leaders, and Administrators

by Megan Eikleberry -

Register on the ECBOCES website if you plan on attending this informational session focused on READ Plans. This training does NOT count towards your required 45 hours of READ Act training.

The Colorado Department of Education Office of Elementary Literacy and School Readiness will be providing training on the READ Act on March 29 from 9 am - 3 pm. During this training, the following will be reviewed and discussed:

  • The purpose and history of the READ Act 

  • Key terms and main components of the READ Act 

  • READ Plans

  • Identifying students with a Significant Reading Deficiency (SRD)

  • Building a Body of Evidence

  • Resources available on the CDE website

    This training is for K-3 teachers, district leaders, and admin.

     Lunch will be provided. 


K-3 READ Act Training

by Lorie Coonts -

DATE: Wednesday, March 29, 2023

TIME:  9:00 A.M. - 3:00 P.M. 

PRESENTER: CDE

LOCATION: East Central BOCES West Training Room

DESCRIPTION:

READ Act updates on compliance and creation of READ Plans in grades K-3. The training will give an overview of READ Plans for ELL students, Special Education, SRD, and READ Plans in general. Lunch will be brought in. Get registered now!

English Learner/Multilingual Learner Workshops CDE has purchased through WIDA (World-Class Instructional Design and Assessment)

by Mitzi Swiatkowski -

%7B28e13d9d-2d9d-4204-aa40-68625c34576b%7D_New_WIDA_Logo.png
Self-Paced Workshops
Woman in yellow sweater types on her laptop keyboard at a table. Behind her is a wall of windows.
Take advantage of practical and engaging professional learning
In case you missed it, you have access to eight free self-paced workshops! Grab your laptop, gather your colleagues who support multilingual learners and dive into practical and engaging learning opportunities. The following self-paced workshops are available through August 31, 2023.
  • Classroom Teachers: Engaging Multilingual Newcomers
  • Making Language Visible: Exploring the Key Language Uses
  • Social Studies: Engaging Multilingual Learners through Inquiry
  • Reframing Education for Long-Term English Learners
  • Engaging Multilingual Learners in Science: Making Sense of Phenomena
  • Developing Language for Learning in Mathematics
  • Home Languages in the Classroom
  • The WIDA ELD Standards Framework: A Collaborative Approach
Learn more on the eLearning webpage where you can find course descriptions, a promotional flyer and PowerPoint slide to help spread the word to colleagues, and more. 

Ready to get started?
  1. Log in to your WIDA Secure Portal account. Don’t have an account yet? Visit your Member/State page to learn how (your district DAC might need to assist you with creating an account).
  2. Locate the course and click on Course Details. Click Enroll Now.
  3. Complete a self-paced workshop and print your certificate.
Questions? Contact the WIDA Client Services Center at 1-866-276-7735 or help@wida.us.

With gratitude,
Your friends at WIDA

ATTENTION: REMINDER Upcoming Early Childhood Cluster on Monday, February 27th

by Lorie Coonts -

DATE:  Monday, February 27, 2023

TIME:  5:00 - 8:00 P.M. 

PRESENTER:  Darlene Blackford

LOCATION: IN PERSON ONLY!  EC BOCES West Training Room

DESCRIPTION:

On Monday, February 27th, 2023, Early Childhood Cluster is providing training for teachers on “Stop! Listen! Focus!”. The presenter, Darlene Blackford is a movement-educator specialist who has worked with thousands of children in the area of movement education in the classroom. She has developed, implemented, and refined practical and fun strategies that encourage children to move their bodies while learning classroom objectives. Ms. Blackford draws from a rich and diverse background which includes classroom instruction, teacher training, and workshop presenter experience.


This workshop is developed to help teachers practice classroom management in a fun and “user-friendly” way. This training opportunity will be offered on Monday, February 27th, 2023. Zoom will NOT be offered for this session, dinner will be provided so please register ASAP. IMPORTANT: Registration and attendance will be completed using the EC BOCES Website at www.ecboces.org for electronic check-in. This training will only be provided IN-PERSON only from 5:00 PM - 8:00 PM.   A $25 stipend will be given to all participants. 

DBQ February Newsletter

by Megan Eikleberry -

DBQ News: Online Support Series

February 2023 - DBQ and Mini-Q Alternative Endings

Do we have to write an essay? Not necessarily!

Do we have to write an essay? Not necessarily! 

The DBQ Project is unapologetically a writing program. We are also a social studies program, a literature program, and a literacy program. Most importantly, the DBQ Project resources are inquiries. Inquiry-based learning not only piques students’ curiosity and engagement but also leads to deeper learning! The DBQ Project offers structured and scaffolded lessons to guide students through this inquiry process culminating in an evidence-based writing exercise. But, writing a 5-paragraph essay is not the only way for students to demonstrate their learning and articulate their arguments. Writing can take many different forms. Have you considered creating an alternative end product for a DBQ or Mini-Q your students are working through? If you are a choice board person or love project-based learning, this is for you! 
Big picture

EXAMPLES OF DBQ ALTERNATE ENDINGS 

One-Pagers and Infographics

One-Pagers and Infographics 

One-pagers and infographics are visual, graphic representations of information on a single page. Using this alternate ending students can use images, words, textual evidence in response to the DBQ question. Requirements could include a well-developed thesis statement, background info, 2-4 buckets each supported with textual evidence, and an argumentative statement for each. Variations of this type of end product could include newspaper front pages or advertisements. 
Blogs and Discussion Boards

Blogs and Discussion Boards 

Blogs and discussion platforms allow students to express themselves as they see fit. Rather than having students write a full argumentative essay that answers the DBQ question, have them create blogs or post their thoughts on a discussion board or platform. Each blog or post can be unique, allowing for more authentic writing because they naturally foster a student's voice, style, and thoughts. Variations of this type of end product could include posting on Padlet or creating and posting a Flipgrid
Debates and Scored Discussions

Debates and Scored Discussions 

Debates provide opportunities to practice critical thinking, writing, listening and speaking. Try having students verbally share their opinion debate style using the documents and background in DBQ. Different debate strategies include four-corners debates, philosophical chairs, Socratic seminars, fishbowl and pinwheel discussions, Harkness tables, or one of our favorites, the Socratic Smackdown
Story Boards and Comic Strips

Story Boards and Comic Strips 

Storyboards and comic strips are a great way for students to visually demonstrate their historical understanding of a DBQ. You can go with the traditional paper/colored pencil storyboard strips or use an online platform, such as StoryboardThat. Requirements for a DBQ storyboard might include an introduction and a conclusion frame, at least one frame for each bucket, visuals, and an explanation for each frame with evidence from the documents. An annotated timeline is another possibility here for a more chronological DBQ. 
Unit-Specific End Products

Unit-Specific End Products 

While the above suggestions could be used with most DBQs and Mini-Qs, sometimes units lend themselves to more creative end products. For example, the "fall" of Rome mini-Q looks at the collapse, or death, of an empire. After analyzing the documents, have students complete an autopsy report on the Roman Empire. Historical report cards and "hall of fame" plaques are a fun way to evaluate individuals in history, such as Alexander the Great or Sam Houston. Students could create recruitment posters to stay at Valley Forge or travel posters touting the benefits of Constantinople or living in the Soviet Union. Scrapbooks or photo essays work great for the journaling DBQs. The possibilities and creativity are endless. 
TED Talks, Podcasts, & Digital Presentations

TED Talks, Podcasts, & Digital Presentations 

For your more creative students, and time permitting, these types of alternative endings provide students with a way to demonstrate their learning, and arguments, in a 21st-century way. These are more complex and definitely take more time, so keep that in mind if students go this route. But, the visual and verbal production allows students to bring in their own voice, style, backgrounds, and personalities. A DBQ/Mini-Q also serves as the perfect jumping-off point for the different History Fair categories. 
Choice Boards

Choice Boards 

A choice board is a grid of different end products that allow students to choose a way to demonstrate their learning and make their argument about a DBQ. 


To the right is an example of an elementary choice board. Imali created this for the "How Did the Buffalo Shape Arapaho Culture?" Mini-Q using a few of the alternative endings mentioned above.

Celebrating Black History Month 

Gallery image
Gallery image
Gallery image
Gallery image
Gallery image
Gallery image

PROFESSIONAL DEVELOPMENT OPPORTUNITIES 

DBQ-U 101 Self-Paced Introductory Course

DBQ-U 101 Self-Paced Introductory Course 

DBQ101 is a self-paced professional development course that familiarizes teachers with The DBQ Project Method and teaches them how to make the process engaging and powerful for students. It is designed to replicate our full-day introductory workshops. Participants will work through the steps of The DBQ Project Method at their own pace, pausing to reflect and practice along the way. Teachers will first experience a DBQ from the student perspective, learning what it is like to learn with a DBQ, before transitioning to the teacher perspective to learn how to build a unit and support their students. Two winter windows are open for registration at no cost to online subscribers. Each course window will remain open for one month to complete. Winter courses will launch on FEBRUARY 14, and MARCH 14. (If these windows don't work for you, we can also set up a course just for your district or school.) 

*ECBOCES has some stipends available for completion of the self-paced course. Reach out to Megan Eikleberry at megane@ecboces.org if you have questions. 


Upcoming Early Childhood Cluster - STOP! LISTEN! FOCUS!

by Lorie Coonts -

EARLY CHILDHOOD EDUCATORS YOU DON'T WANT TO MISS THIS!  

DATE:  Monday, February 27, 2023

TIME:  5:00 - 8:00 P.M. 

PRESENTER:  Darlene Blackford

LOCATION: IN PERSON ONLY!  EC BOCES West Training Room

DESCRIPTION:

On Monday, February 27th, 2023, Early Childhood Cluster is providing training for teachers on “Stop! Listen! Focus!”. The presenter, Darlene Blackford is a movement-educator specialist who has worked with thousands of children in the area of movement education in the classroom. She has developed, implemented, and refined practical and fun strategies that encourage children to move their bodies while learning classroom objectives. Ms. Blackford draws from a rich and diverse background which includes classroom instruction, teacher training, and workshop presenter experience.

This workshop is developed to help teachers practice classroom management in a fun and “user-friendly” way. This training opportunity will be offered on Monday, February 27th, 2023. Zoom will NOT be offered for this session, dinner will be provided so please register ASAP

IMPORTANT: Registration and attendance will be completed using the EC BOCES Website at www.ecboces.org for electronic check-in. This training will be provided IN-PERSON only from 5:00 PM - 8:00 PM.   A $25 stipend will be given to all participants. 

Problem Based Learning Training Workshop with Free Robot for your Classroom

by Emma Richardson -

East Central BOCES has some great Problem Based Learning Trainings coming up next week!

On Wednesday 15th February, there is a one hour remote training giving an overview of how to implement PBL in your math classroom with Kristen Eveland.  There is a $25.00 stipend for this training. More details can be found HERE.

On Thursday 16th and Friday 17th February, MindSpark Learning is coming and hosting a two day workshop that will give you all the tools to start a great problem based learning project in your classroom.  This project will be focused on Bee Pollination and can be used in all subject areas.  During the training, teachers will have the opportunity to use Dash Robots and the first 20 signed up (five spots still available!!) will be able to take a robot back to their classroom.  There will be other random giveaways during the training including the chance to win a Surface Pro!  Register today HERE.



READ Act and English Learners CDE Webinar Trainings on Feb. 9 and Feb 23

by Mitzi Swiatkowski -
READ Act and English Learners

The CDE ELSR (Elementary Literacy and School Readiness) Team hosts office hours twice a month on Thursdays from 3-4 p.m. to discuss topics related to the READ Act. Below each topic listed on the web page, is the corresponding guidance document and/or video; participants are supposed to review the resources before the trainings. Questions from district educators must be submitted one week prior to the date of the scheduled office hours.  There is a place on the webpage, "Topic Questions Submission"; where participants are required to share their questions in advance.  CDE staff will not be providing in-depth instruction on the featured topic; but will use the time to review the questions submitted a week in advance.

Participants must register through the CDE webpage provided at the link at the top of this email.  Go to the webpage and choose the date and topic for which you would like to attend. Click on the date and a registration form will come up on your screen.




UPCOMING EARLY CHILDHOOD CLUSTER - JANUARY 30TH

by Lorie Coonts -

On Monday, January 30, 2023, Early Childhood Cluster is providing training for teachers on “Self-Regulation and Early Childhood Training”. The presenter, Brittany Healy an Early Childhood Mental Health Consultant from Aurora Mental Health Center. This training will focus on the development of self-regulation in young children and what factors impact that skill growth. Participants will discover what age-appropriate self-regulation looks like at multiple early childhood stages, as well as how to develop self-regulation in young children by using coregulation. This training opportunity will be offered on Monday, January 30th, 2022, via ZOOM 5:00 PM - 6:30 PM (1 1/2 hours)

Brittany will complete the Architecture of the Brain game online with participants to give a hands-on understanding of how regulation develops. Please have materials such as pipe cleaner, straws, and string handy in order to participate.  

If you plan to participate and have not yet registered, please go to the calendar and click on the event  and register.  


Project-Based Learning for 6-12 Rescheduled!

by Megan Eikleberry -

Starr Sackstein's PBL session that was cancelled because of the snow storms last week has been rescheduled for Jan. 31st from 4:15-5:15. Please register on the ECBOCES website if you plan to attend!

New Training Dates for Problem Based Learning and Robotics Training

by Emma Richardson -

We have revised dates on the calendar for our MindSpark trainings.  The Problem Based Learning two day training that was scheduled for the end of next week will not be offered on February 16th and 17th.  The Robotics Training that was cancelled in December will no be offered on February 24th.

All original registrations are still in place for these two trainings but please be sure to cancel if you registered before and cannot attend now.  We also do have seats remaining in both trainings and these are sure to be great trainings and will both have lots of giveaways including one or two Surface Pro laptops!

The trainings can be found at the links below:

2/16/23 & 2/17/23 Problem Based Learning

2/24/23 Robotics

Please be sure to register on the ECBOCES Website.

READ Act Update and Information from CDE

by Megan Eikleberry -

Amendments to the READ Act (SB19-199 and SB22-004) require that K-3 teachers who provide literacy instruction, 4-12 reading interventionists, and school administrators (including principals) must complete training to meet the requirements of the READ Act. The Literacy Team in the Office of Elementary Literacy and School Readiness will host biweekly, live informational webinars to provide updates on the READ Act teacher and school administrator trainings.

For information about dates and times for these webinars, please visit the CDE web page titled: READ Act Webinars.

If you have further questions, please contact ReadActTraining@cde.state.co.us 




Register by Jan 8th for CLD-GT Courses

by Jodi Church -

Happy Friday!

Just a reminder: Registration for three Culturally and Linguistically Diverse AND Gifted courses will close on January 8th. The online (and self-paced) courses will open on January 9th. Take one or take all three! See the course flyer for more details. Contact Jodi at jodic@ecboces.org with questions. 

Jodi Church 

ECBOCES Website Login

by Emma Richardson -

We have changed our login process to the ECBOCES website.  Your account info has not been affected but we have had report login problems.

When you go to our website, please use the ECBOCES Login button.  This should direct you to a screen to enter your email or username.  Once you enter that, you should get a screen that prompts for your password and will then log you into the site.  (For those that had their login credentials saved so that they autofill, this will no longer do that when you first use this new process and you will need to know what your login info is.)

Sometimes you might see a session error.  If this happens, normally clicking the ECBOCES login button at the bottom of that page will direct you to the username screen.

We have had a few report that they are getting a page not available error.  If this happens, please clear your browser cache and return to the ECBOCES website and try the process again.

If you still are having problems, please submit a ticket at help.ecboces.org.

We apologize for the inconvenience.  We have changed our process to a Single Sign On login that will allow one login to access multiple ECBOCES services.

Congratulations!!!!

by Lorie Coonts -

We want to congratulate Craig Bailey, East Central BOCES Director of Financial Services, on his recent marriage to Marissa!  We are so happy for the both of you and wish you the best that life has to offer!!  


The DBQ Project- Winter 2022-23 Newsletter

by Megan Eikleberry -

ECBOCES has access to the online binders. If you teach Social Studies or English (4-12) and you do not have an account to access the DBQ binders and are interested in, please reach out to Megan Eikleberry at megane@ecboces.org

DBQ News

The DBQ Project - Winter 2022-23 Newsletter

Big picture

The DBQ Project is Disciplinary Literacy in Context 

It is a well-established point that teaching reading and comprehension strategies out of context is inefficient and ineffective for most students. Though the importance of learning to read in a context is well-documented, many teachers and school leaders continue to emphasize intervention strategies that do not build the content knowledge students need to move forward.


Elementary students with rich social studies instruction score almost 25% higher on literacy exams than their counterparts (CCSSO). Robert Marzano repeatedly emphasizes the importance of social studies instruction for building strong vocabulary. Students with strong content backgrounds score higher on the SAT and ACT than students who lack content knowledge. 

Paragraph picture

The DBQ Project Approach

For years, the DBQ Project has been designing high quality content literacy lessons for social studies and English language arts. All of our lessons are inquiry-based and student-centered. As students grapple with a compelling question, they read and analyze a series of documents. Ultimately, students draw their own informed conclusions about the central question.

  • Our Six-Step Method breaks down what is normally a complex process into manageable, concrete steps.
  • Curious? Watch this quick video to learn from Dr. Laura Bacon and Sabrina Buggs about what happened in Aiken County a couple of years ago. Did you say scores increased 9.6%? In secondary? Yes. That happened. 
Staff Pick: The Louisiana Territory: Would You Have Supported the Purchase?

Staff Pick: The Louisiana Territory: Would You Have Supported the Purchase? 

Often students approach history as being an inevitable trajectory of events, as if it was all predestined. This sense of inevitability can make history seem a bit boring. But the progress of history was not preordained, rather it’s been ripe with uncertainty and controversy. Such is the case with the Louisiana Purchase.


The new Mini-Q, The Louisiana Territory: Would You Have Supported the Purchase?, brings this pivotal and uncertain moment in history to life, and helps kids understand the controversial nature of this event. Through a series of six documents, students consider the the native tribes occupying the vast Louisiana territory, and the economic incentives and disincentives surrounding the purchase. Further, students explore the rift between Federalist and Jeffersonian Democrats, as well as the constitutionality of the purchase.


In the end, students walk away with a deep understanding of a moment in history when our nation was at an important crossroads.

Big picture
New Mini-Q's in American History

New Mini-Q's in American History 

New American History units are here... We are excited about the addition of our New Mini-Qs in American History Volume 1 and New Mini-Qs in American History Volume 2 binders! These new binders provide an additional 27 units of content and supplement our original American History binders. Please click on the button below for more information on these new binders. 

New Features and Updates 

Side-by-Side Document Analysis
Assignment Sharing
Essay Builder +

Side-by-Side Document Analysis 

Assignment Sharing 

Essay Builder + 

The DBQ Project Tech Team, along with Sealworks Interactive Studies, have been busy making improvements, adding some updates, and designing new features in DBQ Online for this school year. This summer we added three new components into the DBQ Online platform, including...

  • Essay Builder + Teachers can now customize the language and structure of the essay builder all the way through the outline.
  • Side-by-Side Document Analysis Students will now see the Document Analysis Questions and Document Analysis Sheets next to the documents themselves!
  • Enhanced Assignment Sharing Teachers can now share assignments with anyone in their district (including district administrators) with one email click!

It Was Wonderful to See Everyone at NCSS! 

Gallery image
Gallery image
Gallery image

The DBQ Project

The DBQ Project 

"Helping ALL students read smart, think straight, and write clearly"




High School Teachers: Virtual Biotech Training - Stipend & Credit Available

by Megan Eikleberry -

The Colorado BioScience Institute has a virtual high school science teacher training, specific to Biotechnology, coming up this winter (info below).

118ee4e7-b6f5-4867-9e1d-1b3e6c7d1ac8.jpg?rdr=true

 

Grow Your Biotech Classroom Lab Skills

 

High School Virtual Teacher Training: Biotechnology in the Classroom 

Interactive virtual sessions:

January 11th 4PM-6PM

January 18th 4PM-6PM

January 25th 4PM-6PM

February 1st 4PM-6PM

 

Stipend

$400 stipend paid to participants upon completion of the course.

*Teachers must plan to teach in 2022/23 to quality and attend all four sessions for the full stipend

 

Credit

 0.5 Graduate Level Continuing Education Credit offered from Colorado School of Mines (tuition covered by the Institute)

*Teachers must attend all four session for 0.5 credit

62cad9dc-a089-4ee2-868f-6950da2c83ed.jpg?rdr=true


Connect and build your community of practice with other Colorado educators teaching biotechnology! This is a unique opportunity for high school teachers to earn a stipend, credit, and classroom supplies all while learning virtually. 

 

The Biotechnology Experiences in the Classroom (Amgen Biotech Experience/LabXchange) teacher professional development program will provide high school science teachers the opportunity to learn a molecular biology curriculum designed to introduce students to the excitement of scientific discovery in the field of biotechnology. The curriculum is designed to allow teachers to have the opportunity to explore the methods scientists use to create biotechnology medicines.

 

You will have the opportunity to learn the Biotech Experience labs and lessons through a virtual experience utilizing ready-for-classroom materials. Through guest speakers, you will hear experts and employees in the local biotech industry share their insights. Through this course, you will gain valuable knowledge of the Biotech field to share with your students. 

 

Whether you are experienced with biotech or brand-new, we have an onramp for everyone!

 

Limited availability: This course has sold out previously — Apply now! Deadline December 22nd. 

 

 

Generous support for the Biotechnology Experience in the Classrooms training is provided by the Amgen Foundations and the Medtronic Foundation. 


What Participants Are Saying

 

“I think this is the most valuable PD I have ever been to in terms of increasing my abilities specifically as a science content teacher and gave me so much help in planning and executing my curriculum.”



Teacher, Anatomy & Physiology, Biochemistry, AP Biology

 

31b0f930-0912-4988-b287-48149c6b7cf7.png?rdr=true

 


118ee4e7-b6f5-4867-9e1d-1b3e6c7d1ac8.jpg?rdr=true

The Institute is a 501(c)3 non-profit that provides educational activities and opportunities for individuals and companies, students and educators related to the life science industry in Colorado.

 

S.gif


Great Professional Development Opportunity

by Emma Richardson -

East Central BOCES has a great relationship with KAIDE (the Kansas version of VNETS).  Each year, they put on a Professional Development In Service day that offers a great amount of resources for any teachers or facilitators that work with Distance Learning - (of course that was everyone a couple of years ago!)

They have invited East Central BOCES members to participate remotely (or in person if you want a trip to Kansas!) in this inservice day free of charge.  The inservice is on January 23rd from 8am to 3pm.  ECBOCES will work with KAIDE to offer CE credit.

I have attached the flyer for the event.  If you have any questions about it, please contact Emma Richardson (emmar@ecboces.org)


Upcoming Early Childhood Cluster

by Lorie Coonts -

On Monday, January 30, 2023, Early Childhood Cluster is providing training for teachers on “Self-Regulation and Early Childhood Training”. The presenter, Brittany Healy an Early Childhood Mental Health Consultant from Aurora Mental Health Center. This training will focus on the development of self-regulation in young children and what factors impact that skill growth. Participants will discover what age-appropriate self-regulation looks like at multiple early childhood stages, as well as how to develop self-regulation in young children by using coregulation. This training opportunity will be offered on Monday, January 30th, 2022, via Zoom.

If you plan to attend, please get registered ASAP.  A $25 stipend will be paid to all those who attend the whole 3 hour training. 

Culturally and Linguistically Diverse AND Gifted Courses

by Jodi Church -

Hello ECBOCES Educators, 

Are you looking for strategies to use with high achieving CLD students? Three 15-hour online, self-paced courses on supporting gifted and high potential CLD students will be offered starting Jan 9th. Participate in one or all three. By completing all three courses, you can earn up to 45 hours to fulfill the CLD re-licensure requirement. 

There is a $50 fee per course due at registration but ECBOCES will reimburse your course fee(s) upon completion of course requirements. See flyer for more information. You can register now using the link on the flyer. 

Contact Jodi Church at jodic@ecboces.org with questions. 

CLD - GT Courses Flyer Spring 2023


Robotics Training this Friday is Cancelled

by Emma Richardson -

Due to unforeseen circumstances, MindSpark has had to cancel the training on Friday.  We will be rescheduling and will let you all know when the new date will be.  We apologize for the short notice and the inconvenience.

Don't forget to sign up for Robotics this Friday and get a free Sphero Sprk Robot!

by Emma Richardson -

We still have slots available for this Friday's great Robotics training with MindSpark Learning.  Not only will the first 20 receive a Sphero Sprk Robot for their classroom but there will be a few other surprise giveaways as well.  Sign up today to take advantage of this great opportunity!  For all teachers, K-12.